2008-05-04 15:47  arthur

	* [r727] HACKING, README: some documentation cleanups and updates

2008-05-04 12:06  arthur

	* [r726] tests/test_nslcd_group.c: add some tests for
	  isvalidgroupname()

2008-05-04 10:15  arthur

	* [r725] man/nss-ldapd.conf.5.xml, nslcd/cfg.c, nslcd/cfg.h,
	  nslcd/nslcd.c: make number of threads configurable with the
	  threads keyword

2008-05-04 09:39  arthur

	* [r724] nslcd/myldap.h: add reference to note about
	  thread-safeness of OpenLDAP

2008-05-04 09:38  arthur

	* [r723] nslcd/nslcd.c: fix copyright year

2008-05-03 15:30  arthur

	* [r722] nslcd/passwd.c: implement a cache for dn2uid() lookups
	  that saves some time doing LDAP searches for groups with a lot of
	  members, based on a patch by Petter Reinholdtsen
	  <pere@hungry.com>

2008-05-03 12:04  arthur

	* [r721] debian/libnss-ldapd.nslcd.init: add soft dependency on
	  slapd, simplify network and file system dependencies and add
	  reverse dependencies on some common daemons that may want to do
	  NSS lookups

2008-05-02 20:52  arthur

	* [r720] nss/netgroup.c, nss/prototypes.h: remove checking for
	  first entry and always return NSS_STATUS_RETURN when no more data
	  is available in the netgroup (this has the side effect of not
	  returning NSS_STATUS_NOTFOUND for non-existing netgroups but
	  seems to be what other NSS modules do) to properly handle empty
	  netgroups

2008-05-02 15:57  arthur

	* [r719] tests, tests/Makefile.am, tests/test_nslcd_group.c: add
	  file for testing nslcd/group.c

2008-05-02 15:55  arthur

	* [r718] tests/Makefile.am: don't even compile the test programs on
	  make check

2008-05-02 15:39  arthur

	* [r717] tests/Makefile.am: don't compile test code on every build
	  and fix LDADD lists to include correct objects

2008-05-02 14:53  arthur

	* [r716] nslcd/cfg.c, nslcd/cfg.h, nslcd/myldap.c: only support
	  tls-related options if LDAP library supports TLS, only add rebind
	  code if ldap_set_rebind_proc() is found and only set
	  LDAP_X_OPT_CONNECT_TIMEOUT if that option is supported

2008-05-01 07:26  arthur

	* [r715] nslcd/myldap.c: support ranged attribute values

2008-05-01 06:32  arthur

	* [r714] nss/common.h: fix comment of return value of
	  NSS_STATUS_TRYAGAIN

2008-05-01 06:25  arthur

	* [r713] tests/test_myldap.c: fix a warning

2008-05-01 06:22  arthur

	* [r712] tests/test_myldap.c: ensure that filter_get_var() and
	  filter_get_var() return non-NULL to enable parsing of config file
	  with attribute mapping and filter settings and use base from
	  config file

2008-04-29 20:03  arthur

	* [r711] man/nss-ldapd.conf.5.xml: make language about pagesize
	  option a little clearer

2008-04-27 21:15  arthur

	* [r710] nslcd/cfg.c: support the case where an attribute mapping
	  variable is NULL

2008-04-26 14:19  arthur

	* [r709] nslcd/myldap.c: also close the LDAP connection on
	  LDAP_SERVER_DOWN (besides LDAP_UNAVAILABLE)

2008-04-26 13:48  arthur

	* [r708] man/nss-ldapd.conf.5.xml, nss/common.c: increase time out
	  values because now nslcd will error out more quickly if the LDAP
	  server is known to be unavailable

2008-04-26 13:46  arthur

	* [r707] nslcd/nslcd.c: spelling fix in comment

2008-04-26 13:46  arthur

	* [r706] man/nss-ldapd.conf.5.xml: some spelling fixes and a
	  clarification of the retry mechanism

2008-04-26 13:20  arthur

	* [r705] nslcd/cfg.c: fix log message of incorrect map statement

2008-04-26 13:16  arthur

	* [r704] nslcd/passwd.c: make log message a little more descriptive

2008-04-26 13:16  arthur

	* [r703] configure.ac: fix quote in comment

2008-04-26 13:13  arthur

	* [r702] nslcd/myldap.c: ensure that the connection to the LDAP
	  server is closed whenever any of the ldap_*() functions return
	  LDAP_UNAVAILABLE

2008-04-25 16:40  arthur

	* [r701] man/nss-ldapd.conf.5.xml, nslcd/cfg.c, nslcd/cfg.h,
	  nslcd/myldap.c, tests/nss-ldapd-test.conf, tests/test_cfg.c,
	  tests/test_myldap.c: implement new timing mechanism for retries
	  to quickly fail lookups to LDAP server that have been failing for
	  some time, removing the reconnect_tries option and giving
	  reconnect_sleeptime and reconnect_maxsleeptime options a new
	  meaning

2008-04-25 16:38  arthur

	* [r700] tests/test_myldap.c: include missing include

2008-04-25 16:37  arthur

	* [r699] tests/test_myldap.c: ignore SIGPIPE in myldap tests

2008-04-25 16:36  arthur

	* [r698] tests/test_myldap.c: fix assert to be test instead of
	  assignment

2008-04-25 15:38  arthur

	* [r697] tests/test_myldap.c, tests/test_myldap.sh: have the binary
	  look up the file name and only use the shell script wrapper to
	  determine if LDAP server is available

2008-04-25 12:19  arthur

	* [r696] compat/ether.h: fix typos in references to
	  HAVE_ETHER_NTOA_R and HAVE_ETHER_ATON_R macros

2008-04-23 20:53  arthur

	* [r695] tests/test_nsscmds.sh: fix order of members in group in
	  tests because of new hashing dict (maybe we should fix the script
	  instead to always sort members properly)

2008-04-23 20:50  arthur

	* [r694] common/dict.c: fix problem where first item in the
	  hashtable could be returned twice while looping

2008-04-23 20:44  arthur

	* [r693] tests/test_dict.c: add test for problem with duplicate
	  entries being returned while looping over results

2008-04-23 20:22  arthur

	* [r692] nslcd/passwd.c: don't issue warning when
	  myldap_get_entry() returns NULL and LDAP_SUCCESS

2008-04-21 18:22  arthur

	* [r691] common/dict.c: allocate room for key string just after
	  entry to save on calls to malloc() and make it simpler

2008-04-20 20:01  arthur

	* [r690] nslcd/group.c, nslcd/passwd.c: fix tests for valid user
	  and group names

2008-04-20 19:50  arthur

	* [r689] nslcd/common.h, nslcd/group.c, nslcd/passwd.c: add checks
	  for valid user and group names in incoming requests and for data
	  returned from LDAP

2008-04-20 19:43  arthur

	* [r688] nslcd/group.c: only support uniqueMember containing DN
	  values

2008-04-20 14:09  arthur

	* [r687] nslcd/group.c: fix warning message to not refer to alias

2008-04-20 14:07  arthur

	* [r686] nslcd/myldap.c: make warning message more verbose, fix
	  comment and don't try to store empty results

2008-04-19 20:29  arthur

	* [r685] debian/libnss-ldapd.config: only guess the searchbase if
	  the value doesn't seem to be preseeded (based on a patch by
	  Petter Reinholdtsen <pere@hungry.com>)

2008-04-19 20:27  arthur

	* [r684] common/dict.c: fix wrapping and indenting of comments

2008-04-19 11:04  arthur

	* [r683] nslcd/group.c: correctly call set_free() instead of free()

2008-04-19 10:38  arthur

	* [r682] nslcd/group.c: use the new set data structure to gather
	  the group members

2008-04-19 10:26  arthur

	* [r681] common/Makefile.am, common/set.c, common/set.h, tests,
	  tests/Makefile.am, tests/test_set.c: implement a set that uses
	  the dict module as back-end

2008-04-19 10:22  arthur

	* [r680] common/dict.c: implement new dict module that uses a
	  hashtable which is around 40 times faster for large (around 2000)
	  entries but with around 40% more memory used

2008-04-19 09:33  arthur

	* [r679] tests/Makefile.am, tests/test_dict.c, tests/usernames.txt:
	  some new tests for the dictionary module

2008-04-19 06:07  arthur

	* [r678] nslcd/passwd.c: add test for emtpy DN

2008-04-18 19:57  arthur

	* [r677] nslcd/myldap.c: instead of using the dict module to build
	  a cache just store the values in an fixed-sized array because no
	  more than 9 attributes are currently retrieved from an entry and
	  we never retrieve the same value more than once (so the cache is
	  useless)

2008-04-17 21:37  arthur

	* [r676] common/dict.h: add note about freed values

2008-04-17 21:12  arthur

	* [r675] common/dict.c, common/dict.h, nslcd/myldap.c,
	  tests/test_dict.c: change dict_values_first() and
	  dict_values_next() into dict_loop_first() and dict_loop_next() to
	  have a looping mechanism over keys and values

2008-04-13 13:20  arthur

	* [r674] tests/nss-ldapd-test.conf: remote hopefully last reference
	  to rootbind{dn,pw}

2008-04-06 20:35  arthur

	* [r673] nslcd/common.h: return values of dn2uid() and uid2dn()
	  should always be used

2008-04-06 20:31  arthur

	* [r672] nslcd/group.c: properly handle the case where dn2uid()
	  couldn't do a DN->uid lookup

2008-04-06 11:18  arthur

	* [r670] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: get files ready for
	  0.6.1 release

2008-04-06 10:50  arthur

	* [r669] config.guess, config.sub: include updated files

2008-04-05 21:46  arthur

	* [r668] AUTHORS: include Petter Reinholdtsen for reporting many
	  bugs and even some fixes

2008-04-05 21:16  arthur

	* [r667] debian/libnss-ldapd.postinst: handle case where value
	  contains spaces properly

2008-04-05 21:09  arthur

	* [r666] debian/libnss-ldapd.postinst: support having a binddn set
	  without a bindpw

2008-04-05 21:06  arthur

	* [r665] debian/libnss-ldapd.config: fix typo in comment

2008-04-05 14:37  arthur

	* [r664] debian/libnss-ldapd.config, debian/libnss-ldapd.postinst,
	  debian/libnss-ldapd.templates, debian/po/ca.po, debian/po/cs.po,
	  debian/po/da.po, debian/po/de.po, debian/po/es.po,
	  debian/po/fr.po, debian/po/ja.po, debian/po/nl.po,
	  debian/po/pt.po, debian/po/pt_BR.po, debian/po/ru.po,
	  debian/po/sv.po, debian/po/templates.pot, debian/po/vi.po: remove
	  rootbind{dn,pw} options from packaging because the options are
	  not likely to be implemented in the future

2008-04-05 14:25  arthur

	* [r663] nslcd/common.h, nslcd/group.c, nslcd/passwd.c: fix
	  member->group searches by also searching for DN in uniqueMember
	  attribute

2008-04-05 14:22  arthur

	* [r662] nslcd/log.c: make log line a little bigger to properly log
	  more search filters

2008-04-05 14:14  arthur

	* [r661] nslcd/nslcd.c: only return shadow entries to root users

2008-04-05 14:12  arthur

	* [r660] nss/group.c: correctly implement buffer handling in
	  _nss_ldap_initgroups_dyn() to grow buffer when needed, check
	  limits and handle extra group parameter (had a closer look at
	  nis-initgroups.c)

2008-04-05 14:10  arthur

	* [r659] tests/test_nsscmds.sh: no problem to shout a little with
	  failed tests

2008-04-05 13:35  arthur

	* [r658] nss/group.c: properly check the limit (as seen in
	  nis-initgroups.c)

2008-04-05 11:21  arthur

	* [r657] nslcd/shadow.c: partial support for reading AD date format
	  for pwdLastSet attribute

2008-04-05 11:15  arthur

	* [r656] nslcd/myldap.c: split closing of LDAP session to separate
	  funtion to invalidate running searches always and closes
	  connection if setting up search failed

2008-04-05 10:15  arthur

	* [r655] tests/test_group.c: use a larger buffer for group
	  membership results

2008-04-05 09:55  arthur

	* [r654] tests/test_myldap.c: check that the last
	  myldap_get_entry() returned success

2008-04-04 21:26  arthur

	* [r653] README, man/nss-ldapd.conf.5.xml, nslcd/cfg.c,
	  nslcd/cfg.h, nslcd/myldap.c, nss-ldapd.conf: remove code that
	  handles special cases when calling as root (removing rootbinddn,
	  rootbindpw, rootuse_sasl and rootsasl_authid options)

2008-04-04 09:40  arthur

	* [r652] nslcd/myldap.c: revert r628 (using ldap_str2dn() instead
	  of ldap_explode_r?dn()) for now to make this compile on older
	  versions of OpenLDAP

2008-04-04 09:16  arthur

	* [r651] man/nss-ldapd.conf.5.xml: add some more documentation to
	  the pagesize option

2008-04-02 21:09  arthur

	* [r650] debian/libnss-ldapd.nslcd.init: make start not fail if
	  nslcd is already running and stop not fail if it wasn't running
	  before

2008-03-30 14:37  arthur

	* [r649] nss-ldapd.conf: some fixes to the configuration when using
	  Active Directory (provided by Petter Reinholdtsen
	  <pere@hungry.com>)

2008-03-30 14:33  arthur

	* [r648] configure.ac, nslcd/myldap.c: only define and use
	  do_sasl_interact() if we have a sasl library

2008-03-30 14:31  arthur

	* [r647] compat/attrs.h: make test for compiler versions simpler
	  and per used attribute

2008-03-29 07:31  arthur

	* [r646] HACKING, README: add contact information on reporting bugs
	  and contributing patches

2008-03-29 07:31  arthur

	* [r645] HACKING: add some more notes about the design and
	  direction I want to go in

2008-03-28 22:56  arthur

	* [r644] nslcd/myldap.c: don't warn about problems retreiving the
	  objectClass from en entry

2008-03-27 22:59  arthur

	* [r643] nslcd/group.c: fix a problem where the newly allocated
	  storage by realloc() wasn't used (thanks to Petter Reinholdtsen
	  <pere@hungry.com> for the patch)

2008-03-16 14:51  arthur

	* [r642] debian/libnss-ldapd.config, debian/libnss-ldapd.postinst:
	  comment out all rootbind{dn,pw} code as to not copy those
	  directives because they are unsupported

2008-03-16 14:44  arthur

	* [r641] debian/libnss-ldapd.config: use tail instead of head to
	  avoid conflicts becase nss_ldap seems to pick up the last option
	  in the file

2008-03-16 14:00  arthur

	* [r640] debian/libnss-ldapd.config: handle the case where an
	  option is defined multiple times

2008-03-06 06:34  arthur

	* [r639] AUTHORS, debian/copyright, debian/po/es.po: updated
	  Spanish (es) translation of debconf templates by Rudy Godoy
	  Guillén <rudy@debian.org>

2008-03-04 21:41  arthur

	* [r638] AUTHORS, debian/po/nl.po: updated Dutch (nl) translation
	  of debconf templates by Bart Cornelis <cobaco@skolelinux.no>

2008-02-19 21:32  arthur

	* [r637] README: some updates to reflect recent changes

2008-02-19 21:32  arthur

	* [r636] man/Makefile.am: have a better way to specify the manual
	  page rule

2008-02-15 16:52  arthur

	* [r635] common/tio.c: split out the flushing of the buffers to
	  separate functions and see if we can flush some data from the
	  buffer if it is overflowing before growing the buffer

2008-02-15 12:35  arthur

	* [r634] nslcd/myldap.c: add StartTLS support by Ralf Haferkamp
	  <rhafer@suse.de>

2008-02-15 12:35  arthur

	* [r633] nslcd/myldap.c: pass URI to do_bind() to make it work with
	  do_rebind() and use that URI (thanks Ralf Haferkamp
	  <rhafer@suse.de>)

2008-02-15 09:41  arthur

	* [r632] tests/test_myldap.c: add tests for myldap_get_rdn_value()
	  and myldap_cpy_rdn_value()

2008-02-12 21:41  arthur

	* [r631] configure.ac: make using implicit function definitions an
	  error

2008-02-12 21:28  arthur

	* [r630] common/tio.c, common/tio.h, nslcd/nslcd.c, nss/common.c,
	  tests/test_tio.c: implement resizable I/O buffers and tune buffer
	  sizes to normal requests

2008-02-12 21:18  arthur

	* [r629] common/tio.c: always allocate the read and write buffers
	  and make the struct tio_buffer inline in struct tio_fileinfo

2008-02-10 14:24  arthur

	* [r628] nslcd/myldap.c: replace the calls to ldap_explode_dn() and
	  ldap_explode_rdn() with a call to ldap_str2dn() resulting in much
	  simpler code

2008-02-08 15:49  arthur

	* [r627] nslcd/cfg.c: only support "dns" and "domain" values on
	  platforms with the necessary functions available

2008-02-08 15:41  arthur

	* [r626] nslcd/ether.c: don't define struct ether_addr here, it was
	  moved to compat/ether.h

2008-02-04 22:47  arthur

	* [r625] nslcd/myldap.c: make some changes to allow it to compile
	  on more platforms

2008-02-04 22:38  arthur

	* [r624] compat/Makefile.am, compat/ether.c, compat/ether.h,
	  configure.ac, nslcd/ether.c: provide replacements for
	  ether_aton_r() and ether_ntoa_r() for platforms that don't have
	  them

2008-02-04 22:32  arthur

	* [r623] configure.ac, nslcd/nslcd.c: only call
	  __nss_configure_lookup() if it is available, if it isn't the
	  platform is out of luck

2008-02-04 22:30  arthur

	* [r622] nslcd/myldap.h: defined LDAP_SCOPE_DEFAULT it's not
	  defined elsewhere

2008-02-04 22:29  arthur

	* [r621] nslcd/nslcd.c: fix missing casts

2008-02-04 22:27  arthur

	* [r620] nslcd/nslcd.c: actually include the compat header files
	  when needed

2008-02-03 21:55  arthur

	* [r618] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: get files ready for
	  0.6 release

2008-02-03 11:31  arthur

	* [r617] configure.ac: also check for sasl2 library

2008-02-03 11:30  arthur

	* [r616] tests/test_myldap.c, tests/test_nsscmds.sh: add tests for
	  new LDAP lookups

2008-02-03 11:24  arthur

	* [r615] nslcd/attmap.c, nslcd/attmap.h, nslcd/group.c: support the
	  uniqueMember LDAP attribute that holds DN values (they are
	  translated with dn2uid() from passwd.c)

2008-02-03 11:19  arthur

	* [r614] debian/libnss-ldapd.postinst, debian/libnss-ldapd.postrm,
	  debian/rules: don't use dh_makeshlibs any more because we don't
	  need the shlibs file; call ldconfig from maintainer scripts
	  ourselves

2008-02-03 10:17  arthur

	* [r613] debian/rules: install the NSS library under /lib instead
	  of /usr/lib to make it easyer to unmount /usr if it's on a
	  separate filesystem

2008-02-02 15:58  arthur

	* [r612] debian/rules: don't pass options to configure which are
	  not used

2008-02-02 15:57  arthur

	* [r611] configure.ac: remove --with-ngroups option because it
	  isn't used

2008-02-02 15:50  arthur

	* [r610] nslcd/common.h, nslcd/passwd.c: implement a dn2uid()
	  function to transform a DN into a username (looking inside the DN
	  or doing an LDAP lookup if neede)

2008-02-02 15:46  arthur

	* [r609] nslcd/myldap.c, nslcd/myldap.h: implement
	  myldap_cpy_rdn_value() function to copy rdn value into a buffer
	  (functionality like myldap_get_rdn_value())

2008-02-02 12:02  arthur

	* [r608] nslcd/myldap.c: log and otherwise ignore errors in
	  ldap_parse_page_control()

2008-02-02 12:00  arthur

	* [r607] nslcd/myldap.c: fix copy-pasto

2008-02-02 11:57  arthur

	* [r606] nslcd/myldap.c: don't request paging when doing a search
	  with scope base and ignore errors of ldap_create_page_control()

2008-02-02 11:42  arthur

	* [r605] nslcd/myldap.c: reset LDAP error flag if ldap_get_values()
	  returned an error because some LDAP functions don't do this
	  correctly

2008-02-01 22:41  arthur

	* [r604] nslcd/myldap.c: have proper checks and logs of all ldap
	  operations

2008-02-01 22:25  arthur

	* [r603] tests/test_group.c: enable _nss_ldap_initgroups_dyn() test
	  because it's working now

2008-02-01 22:19  arthur

	* [r602] nslcd-common.h: fix buffer size debug message

2008-02-01 22:18  arthur

	* [r601] nss/common.h, nss/hosts.c, nss/netgroup.c, nss/networks.c:
	  do not set errno (and h_errno) if we got the last entry from
	  get*ent() (this apparently is needed by coreutils' id and groups
	  commands)

2008-02-01 22:01  arthur

	* [r600] tests/Makefile.am: pagectrl module has moved

2008-02-01 21:58  arthur

	* [r599] tests/test_nsscmds.sh: test for hugegroup

2008-02-01 21:57  arthur

	* [r598] tests/test_nsscmds.sh: the groups command no longer lists
	  the username

2008-02-01 19:59  arthur

	* [r597] nss/common.c, nss/common.h, nss/group.c, nss/hosts.c,
	  nss/netgroup.c, nss/networks.c: remove the nslcd2nss() function
	  because it's not needed with the current protocol

2008-02-01 19:32  arthur

	* [r596] nss/common.h: fail with a permanent error if resetting the
	  stream failed to prevent indefinite retries

2008-01-31 22:20  arthur

	* [r595] nslcd/myldap.c: defined LDAP_DEPRECATED to also have
	  definitions for deprecated functions

2008-01-31 22:11  arthur

	* [r594] compat/attrs.h: only define MUST_USE attribute if gcc
	  version is more recent than 3.4

2008-01-31 22:07  arthur

	* [r593] debian/copyright: update copyright information

2008-01-31 22:04  arthur

	* [r592] compat/Makefile.am, compat/pagectrl.c, compat/pagectrl.h,
	  configure.ac, debian/copyright, nslcd/Makefile.am,
	  nslcd/myldap.c, nslcd/pagectrl.c, nslcd/pagectrl.h: move pagectrl
	  code into compat directory

2008-01-31 21:55  arthur

	* [r591] configure.ac: make comments lowercase for consistency

2008-01-31 21:50  arthur

	* [r590] tests/test_myldap.c: re-add test URIs that accidentally
	  got commented out in the last commit

2008-01-31 21:45  arthur

	* [r589] tests/Makefile.am, tests/test_cfg.c, tests/test_myldap.c,
	  tests/test_nsscmds.sh: pass the correct pthread flags for all
	  calls to compiler and linker and link in compat code, handle
	  other assert.h setups and avoid some ! in if statements in shell
	  scripts

2008-01-31 21:41  arthur

	* [r588] configure.ac: improve LDAP library autodetection and make
	  if statements consistent

2008-01-31 20:59  arthur

	* [r587] configure.ac: move finding of replacement functions to a
	  more logical place

2008-01-31 20:58  arthur

	* [r586] configure.ac: define extra macros to import system
	  extensions from system header files and remove duplicate check
	  for ldap_set_rebind_proc()

2008-01-31 20:57  arthur

	* [r585] configure.ac: test to see if the compiler supports certain
	  -W flags before using them

2008-01-30 22:40  arthur

	* [r584] nslcd/ether.c: include stdint.h

2008-01-30 22:36  arthur

	* [r583] nslcd.h, nslcd/ether.c, nss/ethers.c: use uint8_t instead
	  of u_int8_t because the former seems to be available on more
	  platforms

2008-01-30 22:31  arthur

	* [r582] INSTALL, depcomp, install-sh: update some files from
	  recent automake

2008-01-30 21:58  arthur

	* [r581] compat/Makefile.am, compat/daemon.c, compat/daemon.h,
	  compat/getopt_long.c, compat/getopt_long.h, configure.ac: provide
	  replacement functions for daemon() and getopt_long() when they
	  are not available on the system

2008-01-30 21:57  arthur

	* [r580] configure.ac: remove duplicate warning flags

2008-01-30 21:29  arthur

	* [r579] compat/attrs.h: define __STRING() if it's not defined by
	  the system

2008-01-30 21:15  arthur

	* [r578] tests/test_tio.c: include errno in assertion statement

2008-01-30 21:13  arthur

	* [r577] compat/getpeercred.c: some fixes for LOCAL_PEERCRED (still
	  untested)

2008-01-27 20:42  arthur

	* [r576] AUTHORS, debian/po/de.po: updated German (de) translation
	  of debconf templates by Erik Schanze <eriks@debian.org>

2008-01-27 16:51  arthur

	* [r575] compat/ldap.h, nslcd/Makefile.am, nslcd/myldap.c:
	  integrate some compatibility code into myldap.c, the only place
	  it's used

2008-01-27 10:22  arthur

	* [r573] nslcd/myldap.c: work around some LDAP libraries not having
	  all options

2008-01-27 10:20  arthur

	* [r572] configure.ac, nslcd/myldap.h: on some systems lber.h needs
	  to be included before ldap.h

2008-01-27 10:16  arthur

	* [r571] common/tio.c, nslcd-common.h, nslcd/nslcd.c, nss/common.c,
	  tests/test_tio.c: when including stdint.h check if we actually
	  have it

2008-01-27 10:14  arthur

	* [r570] nslcd/pagectrl.c, nslcd/pagectrl.h: correct #endif comment

2008-01-26 17:55  arthur

	* [r569] nslcd/cfg.c: have a fallback value for HOST_NAME_MAX if it
	  is not defined

2008-01-26 17:51  arthur

	* [r568] tests/test_nsscmds.sh: handle the case where
	  /etc/nss-ldapd.conf does not exist a little more graceful

2008-01-26 14:32  arthur

	* [r567] nslcd/nslcd.c: log error when getpeercred() returned
	  nothing

2008-01-26 14:31  arthur

	* [r566] compat/getpeercred.c, compat/getpeercred.h, configure.ac:
	  add (untested) support for the Solaris getpeerucred() function

2008-01-26 10:49  arthur

	* [r565] Makefile.am, compat, compat/Makefile.am,
	  compat/getpeercred.c, compat/getpeercred.h, configure.ac,
	  nslcd/Makefile.am, nslcd/nslcd.c: move code to get information
	  from socket peer to the compat directory because it is very
	  platform specific

2008-01-26 08:33  arthur

	* [r564] tests/test_myldap.c, tests/test_nsscmds.sh,
	  tests/test_tio.c: somewhat improve the output from the tests

2008-01-26 08:31  arthur

	* [r563] nslcd/cfg.c: fix marsing of map statement

2008-01-26 08:31  arthur

	* [r562] tests/test_cfg.c: also test map filter and scope
	  configuration options

2008-01-16 20:49  arthur

	* [r561] nslcd/cfg.c: fix problem in map statement end-of-line
	  handling

2008-01-16 20:43  arthur

	* [r560] tests/test_cfg.c: add a test for the map statement

2008-01-03 12:51  arthur

	* [r559] nslcd/nslcd.c: close connections in worker threads at
	  program termination

2008-01-03 12:49  arthur

	* [r558] nslcd/nslcd.c: make code a little more compact, don't
	  include debug twice in the log message and remove the
	  capabilities code because it will probably never be used

2008-01-03 10:36  arthur

	* [r557] tests/test_nsscmds.sh: support the case where + is in
	  /etc/group

2008-01-03 10:34  arthur

	* [r556] nss/aliases.c, nss/common.h, nss/ethers.c, nss/group.c,
	  nss/hosts.c, nss/netgroup.c, nss/networks.c, nss/passwd.c,
	  nss/protocols.c, nss/rpc.c, nss/services.c, nss/shadow.c: only
	  start the NSLCD_ACTION_*_ALL requests with the first call to
	  getent() instead of with setent() to avoid unneeded requests if
	  compat is used (except with netgroups)

2008-01-03 10:30  arthur

	* [r555] nslcd/passwd.c, nss/prototypes.h: update copyright year

2008-01-03 09:45  arthur

	* [r554] tests/test_nsscmds.sh: get the number of groups and
	  services from files in /etc for comparison

2008-01-03 09:21  arthur

	* [r553] nslcd/passwd.c: do not warn about missing loginShell
	  attribute because it is not mandatory

2008-01-03 08:25  arthur

	* [r552] nss/group.c: increment value that is pointed to, not the
	  pointer (fixes segfault)

2008-01-02 22:22  arthur

	* [r551] nslcd/common.h: immediatly bail out if write entity
	  function failed (prevents numerous "error writing to client"
	  messages from filling up the logs)

2008-01-01 21:05  arthur

	* [r550] tests/test_nsscmds.sh: check to see if nslcd is running
	  and add test for a large group (100 members)

2008-01-01 21:04  arthur

	* [r549] nss/exports.linux, nss/group.c, nss/prototypes.h: enable
	  the _nss_ldap_initgroups_dyn() function that is now implemented
	  in nslcd

2008-01-01 21:02  arthur

	* [r548] nss/common.h: use the new tio_mark()/tio_reset() functions
	  to support retries of the getent() functions when
	  NSS_STATUS_TRYAGAIN would be returned

2008-01-01 20:53  arthur

	* [r547] common/tio.c, common/tio.h, tests/test_tio.c: add limited
	  implementation of tio_mark() and tio_reset() functions to do
	  limited seeks in the read stream, clean up header file comments
	  and write tests for new code

2007-12-31 16:47  arthur

	* [r546] nslcd/common.h: fix get_userpassword() function
	  description

2007-12-31 16:46  arthur

	* [r545] nslcd/shadow.c: fix incorrect references to attribute map
	  entries

2007-12-31 16:45  arthur

	* [r544] nslcd/group.c: remove TODO (was done)

2007-12-31 16:43  arthur

	* [r543] nslcd/common.c: fix bug that would return a password of
	  one character short

2007-12-27 21:39  arthur

	* [r542] nslcd/cfg.c: do not define variable if we're not going to
	  use it

2007-12-27 21:38  arthur

	* [r541] configure.ac: check for all used ldap functions

2007-12-27 10:42  arthur

	* [r539] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: get files ready for
	  0.5 release

2007-12-26 22:35  arthur

	* [r538] tests/test_cfg.c: remove temporary file to make distcheck
	  succeed

2007-12-26 21:55  arthur

	* [r537] README, debian/copyright: some documentation cleanups

2007-12-26 20:36  arthur

	* [r536] tests/test_nsscmds.sh: ignore erros in nss commands

2007-12-26 20:35  arthur

	* [r535] nslcd/myldap.c: only log "connected to LDAP server" if it
	  is a new connection

2007-12-26 17:58  arthur

	* [r534] nslcd/cfg.c, nslcd/cfg.h, tests, tests/test_cfg.c:
	  properly handle spaces in some configuration options (major
	  change in code in cfg module)

2007-12-26 10:54  arthur

	* [r533] tests/test_myldap.c: in test_two_searches() test that we
	  can read from the second search if the first search as abandoned

2007-12-26 10:52  arthur

	* [r532] nslcd/myldap.c: properly flag running searches as invalid
	  if the connection to the LDAP server is reset

2007-12-25 17:10  arthur

	* [r531] nslcd/common.h, nslcd/myldap.c, nslcd/myldap.h,
	  tests/test_myldap.c: have myldap_get_entry() return an LDAP
	  status code that can signal errors in the lookup

2007-12-25 17:02  arthur

	* [r530] nslcd.h, nslcd/common.h, nss/common.c, nss/group.c: remove
	  NSLCD_RESULT_UNAVAIL because it's not needed anymore (the
	  connection is broken when an error occurs) and rename
	  NSLCD_RESULT_NOTFOUND into NSLCD_RESULT_END to better match its
	  meaning

2007-12-25 16:53  arthur

	* [r529] nslcd/common.h: no need for us to flush the buffer since
	  our caller closes the stream immediatly (or could otherwise pass
	  the flushing to another thread)

2007-12-24 23:29  arthur

	* [r528] man/nss-ldapd.conf.5.xml: some general cleanups and
	  document the krb5_ccname option

2007-12-24 21:50  arthur

	* [r527] debian/libnss-ldapd.config: disable rootbinddn and
	  rootbindpw questions for now because they are not supported

2007-12-24 17:11  arthur

	* [r526] man/nss-ldapd.conf.5.xml: document current timing and
	  reconnect options

2007-12-24 16:58  arthur

	* [r525] nslcd/myldap.c: merge the do_map_error(),
	  do_with_reconnect() into the myldap_search() and do_try_search()
	  functions having more understandable reconnect and retry logic

2007-12-24 16:41  arthur

	* [r524] nslcd/myldap.h: add some more documentation for using the
	  myldap module

2007-12-22 21:05  arthur

	* [r523] tests/nss-ldapd-test.conf, tests/test_myldap.c: add
	  limited test for reconnect logic

2007-12-22 21:02  arthur

	* [r522] nslcd/cfg.c, nslcd/cfg.h, nslcd/myldap.c: remove
	  bind_policy option because the same effect is achieved by setting
	  reconnect_tries to 1

2007-12-22 20:52  arthur

	* [r521] nslcd/cfg.c, nslcd/cfg.h: reorder timing and reconnect
	  options to be more logical and remove nss_ prefix from reconnect
	  options

2007-12-22 20:38  arthur

	* [r520] tests/test_myldap.c: limit printing of results in test to
	  just 10

2007-12-22 20:35  arthur

	* [r519] tests/test_myldap.sh: include script name in messages and
	  have srcdir default to .

2007-12-22 20:32  arthur

	* [r518] nslcd/myldap.c: integrate do_result() into
	  myldap_get_entry() reducing complexity and improving error
	  handling

2007-12-22 13:36  arthur

	* [r517] nslcd/myldap.c: remove duplicate comment

2007-12-22 13:34  arthur

	* [r516] nslcd/cfg.c, nslcd/cfg.h: remove some unused configuration
	  file options

2007-12-22 13:21  arthur

	* [r515] nslcd/myldap.c: bring more uniformity to log messages

2007-12-22 13:09  arthur

	* [r514] nslcd/myldap.c: give struct myldap_session members more
	  logical names

2007-12-21 09:48  arthur

	* [r513] tests/test_myldap.sh, tests/test_nsscmds.sh: only test the
	  first URI in the configfile

2007-12-20 19:30  arthur

	* [r512] tests/Makefile.am, tests/test_myldap.c,
	  tests/test_myldap.sh: pass configfile to use as a command-line
	  paramter to test_myldap, use the myldap_session_close() function,
	  print a limited number of results, add a wrapper script to test
	  whether the LDAP server is available for the test and ship all
	  needed files in the tarball

2007-12-20 19:25  arthur

	* [r511] tests/test_nsscmds.sh: fail on any command and specify
	  configfile separately

2007-12-20 17:00  arthur

	* [r510] debian/copyright: remove FSF copyright since we no longer
	  use their code

2007-12-20 16:58  arthur

	* [r509] nslcd/myldap.c, nslcd/myldap.h: refactor myldap code to
	  get rid of most of the old nss status codes, properly handle
	  failures of ldap function calls and improve sourcecode comments

2007-12-20 16:57  arthur

	* [r508] nslcd/myldap.c, nslcd/myldap.h: add myldap_session_close()
	  function (mainly for testing purposes)

2007-12-20 16:53  arthur

	* [r507] nslcd/myldap.c: move checks of validity of passed entries
	  to separate functions

2007-12-20 16:46  arthur

	* [r506] nslcd/myldap.c: remove msg member from struct myldap_entry
	  and just reference the same message in the search

2007-12-20 15:29  arthur

	* [r505] nslcd/shadow.c: rewrite GET_OPTIONAL_DATE() as an
	  extension to GET_OPTIONAL_LONG()

2007-12-20 15:28  arthur

	* [r504] configure.ac: add/change some tests for currently used
	  functions, relayout some complexer tests and use AC_CHECK_TYPE
	  instead of custom test

2007-12-20 15:25  arthur

	* [r503] nslcd/ether.c: use ether_ntoa_r() instead of ether_ntoa()

2007-12-20 15:17  arthur

	* [r502] compat/ldap.h, configure.ac: remove unused tests and
	  compatibility code

2007-12-20 15:08  arthur

	* [r501] tests/nss-ldapd-test.conf: set pagesize to some more
	  reasonable value

2007-12-20 13:55  arthur

	* [r500] tests/test_myldap.c: have assertion on correct search

2007-12-16 16:43  arthur

	* [r498] nss-ldapd.conf: fix typo in description

2007-12-14 16:41  arthur

	* [r497] nslcd/myldap.c: potential fix for double free() bug like
	  in nss_ldap (Debian bug #366172)

2007-12-14 16:19  arthur

	* [r496] nslcd/myldap.h: improve description of myldap interface in
	  comments

2007-12-14 16:12  arthur

	* [r495] nslcd/common.c: explain why we write an invalid address
	  (in comment) and add TODO to describe we need to change the log
	  format

2007-12-14 16:07  arthur

	* [r494] tests/test_myldap.c: fix typo in comment

2007-12-09 22:13  arthur

	* [r493] debian/control: update package description

2007-12-09 16:24  arthur

	* [r492] tests/Makefile.am: fix objects that are needed to get
	  tests linkable (due to namechange from ldap-nss to myldap)

2007-12-09 15:50  arthur

	* [r491] compat/ldap.h, nslcd/cfg.c, nslcd/cfg.h, nslcd/myldap.c:
	  some small layout changes

2007-12-09 15:32  arthur

	* [r490] tests/test_nsscmds.sh: remove ugly space

2007-12-09 15:23  arthur

	* [r489] nslcd-common.h, nslcd/Makefile.am, nslcd/alias.c,
	  nslcd/attmap.h, nslcd/cfg.c, nslcd/common.h, nslcd/group.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/myldap.c,
	  nslcd/myldap.h: get rid of some old code and rename ldap-nss to
	  myldap since there is no more NSS-related code in there

2007-12-09 14:49  arthur

	* [r488] nslcd-common.h, nslcd/alias.c, nslcd/common.c,
	  nslcd/common.h, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c:
	  switch to new LDAP entry parsing code that is much simpler and
	  more readable

2007-12-09 14:36  arthur

	* [r487] tests/test_nsscmds.sh: add some comments to tests, enable
	  netgroup tests and extend ether and services tests

2007-12-09 14:34  arthur

	* [r486] nslcd/ldap-nss.c: ignore decoding errors from
	  ldap_get_values() as they are just nonexisting attribute values

2007-12-07 16:49  arthur

	* [r485] debian/control: fix Vcs-* links to point to the trunk

2007-12-07 16:49  arthur

	* [r484] debian/control: upgrade to standards-version 3.7.3 (no
	  changes needed)

2007-12-07 13:10  arthur

	* [r483] nslcd/nslcd.c: don't use backticks as quote mark

2007-12-01 22:03  arthur

	* [r482] common/dict.c: simple check for validity of key value in
	  dict_put()

2007-11-26 22:38  arthur

	* [r481] configure.ac, man/nss-ldapd.conf.5.xml, nslcd/cfg.c,
	  nslcd/cfg.h, nslcd/ldap-nss.c: clean up Kerberos ccname code,
	  moving it to cfg.c, fixing some bugs in the putenv() code, making
	  the gss_krb5_ccache_name() automatically used if the function is
	  available and removing the --with-gssapi-dir,
	  --enable-configurable-krb5-ccname-gssapi and
	  --enable-configurable-krb5-ccname-env configure options

2007-11-25 15:21  arthur

	* [r480] AUTHORS, README, configure.ac, man/nss-ldapd.conf.5.xml,
	  nslcd/cfg.c: implement LDAP server discovery through DNS, based
	  on a patch by Ralf Haferkamp <rhafer@suse.de> and Michael Calmer
	  <mc@suse.de>

2007-11-24 15:26  arthur

	* [r479] HACKING: update versions of used tools

2007-11-20 21:53  arthur

	* [r478] debian/control: remove XS- prefix from version control
	  fields

2007-11-20 21:49  arthur

	* [r477] debian/control: put Homepage field in source stanza

2007-11-16 11:43  arthur

	* [r476] AUTHORS, nslcd/ldap-nss.c: patch from Andreas Schneider
	  <anschneider@suse.de> to get krb5_ccname option working

2007-10-31 22:12  arthur

	* [r475] nslcd.h: improve comments about protocol, also describing
	  the final NSLCD_RESULT_NOTFOUND

2007-10-28 14:50  arthur

	* [r474] nslcd/ldap-nss.c: some smaller cleanups and
	  simplifications to the code (getting rid of the is_connected flag

2007-10-28 13:33  arthur

	* [r473] nslcd/ldap-nss.c: remove sizelimit parameter

2007-10-28 13:17  arthur

	* [r472] nslcd/ldap-nss.c: integrate ent_context attributes into
	  ldap_search

2007-10-28 12:54  arthur

	* [r471] nslcd/ldap-nss.c: remove session from context and remove
	  sycnhronous search functions

2007-10-28 12:37  arthur

	* [r470] nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/netgroup.c,
	  nslcd/service.c: replace calls to _nss_ldap_get_values() by
	  myldap_get_values(), remove unused functions, remove struct
	  ldap_state and replace remaining references to context to use
	  search instead

2007-10-28 11:39  arthur

	* [r469] man/nss-ldapd.conf.5.xml, nslcd/cfg.c, nslcd/cfg.h,
	  nslcd/ldap-nss.c: remove support for nss_connect_policy
	  configfile option and remove some supporting code for it

2007-10-28 10:57  arthur

	* [r468] nslcd/alias.c, nslcd/common.h, nslcd/ether.c,
	  nslcd/group.c, nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c:
	  first step to use the new myldap interface

2007-10-28 10:56  arthur

	* [r467] tests/test_nsscmds.sh: script to run a number of NSS
	  commands (mainly getent) and check the result (this requires an
	  LDAP setup that is yet to be documented)

2007-10-27 16:54  arthur

	* [r466] man/nss-ldapd.conf.5.xml: include pagesize option in
	  manual page since this is tested now

2007-10-27 16:53  arthur

	* [r465] nss-ldapd.conf: add pointer to pagesize in AD section of
	  sample configfile

2007-10-27 16:28  arthur

	* [r464] nslcd/nslcd.c: clean up myldap session after each request

2007-10-27 15:56  arthur

	* [r463] nslcd/cfg.c: make cfg_init() only callable once and add
	  note about not free()ing memory

2007-10-27 15:48  arthur

	* [r462] common/tio.c: fix memory leak in I/O module not free()ing
	  allocated storage for file info on file close

2007-10-27 15:36  arthur

	* [r461] common/tio.c: portability improvement to fall back to
	  ETIMEDOUT when ETIME is unavailable

2007-10-26 08:46  arthur

	* [r460] NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: integrate changes from
	  0.4.1 release

2007-10-25 21:55  arthur

	* [r455] nslcd/rpc.c: fix rpc filter and remove unused objectClass
	  attmap entry

2007-10-25 21:19  arthur

	* [r454] nslcd/ldap-nss.c: clean up any messages after abandoning
	  the search because that returns a new message (fix memory leak)

2007-10-25 20:25  arthur

	* [r453] nslcd/ldap-nss.c: fix a memory leak, not storing search
	  entries so they could be freed later on

2007-10-25 20:18  arthur

	* [r452] nslcd/ldap-nss.c: fix using unassigned status

2007-10-25 20:17  arthur

	* [r451] nslcd/ldap-nss.c: fix memory leak

2007-10-25 09:02  arthur

	* [r450] debian/libnss-ldapd.nslcd.init: remove S runlevel from
	  Default-Stop in init script

2007-10-21 07:43  arthur

	* [r449] nss/networks.c: correct calls to
	  NSLCD_ACTION_NETWORK_BYNAME and NSLCD_ACTION_NETWORK_BYADDR and
	  get address in correct byte order with the last call

2007-10-20 19:25  arthur

	* [r448] nslcd/passwd.c, nslcd/protocol.c: call mysnprintf()
	  instead of snprintf() where needed (bugfix)

2007-10-19 22:04  arthur

	* [r444] nslcd/ldap-nss.c: make a replacement for
	  _nss_ldap_getbyname() which uses the myldap calls internally

2007-10-19 10:35  arthur

	* [r443] nslcd/Makefile.am, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/myldap.h, tests, tests/Makefile.am,
	  tests/nss-ldapd-test.conf, tests/test_myldap.c: integrate basic
	  myldap interface (partially merged from dev-myldap branch)

2007-10-19 09:39  arthur

	* [r442] tests/Makefile.am: include debugging information in object
	  files

2007-10-19 09:36  arthur

	* [r441] tests/Makefile.am: move most C[PP]FLAGS options to
	  AM_C[PP]FLAGS and clean up a little

2007-10-19 09:30  arthur

	* [r440] common/tio.c: fix usage of DEBUG_TIO_STATS

2007-10-14 07:59  arthur

	* [r438] AUTHORS: add translator to Japanese of templates

2007-10-14 07:57  arthur

	* [r437] debian/po/ja.po: update Japanese (ja) translation of
	  debconf templates by Kenshi Muto <kmuto@debian.org>

2007-10-08 20:11  arthur

	* [r436] debian/copyright, debian/po/fr.po: update French (fr)
	  translation of debconf templates by Cyril Brulebois
	  <cyril.brulebois@enst-bretagne.fr>

2007-10-05 20:52  arthur

	* [r434] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: get files ready for
	  0.4 release

2007-10-04 19:52  arthur

	* [r433] .: ignore tarballs

2007-10-04 19:49  arthur

	* [r432] configure.ac: remove linking with libresolv because it's
	  not needed on Linux

2007-10-03 20:27  arthur

	* [r431] nss-ldapd.conf: some reordering to make the file more
	  logical and minor fixes

2007-10-03 20:26  arthur

	* [r430] Makefile.am: pass --enable-warnings when running the
	  distcheck target

2007-10-03 20:19  arthur

	* [r429] README: some general documentation improvements

2007-09-28 08:06  arthur

	* [r428] man/nss-ldapd.conf.5.xml: add note about escaping of
	  ldapi:// scheme

2007-09-28 08:06  arthur

	* [r427] debian/libnss-ldapd.templates, debian/po/ca.po,
	  debian/po/cs.po, debian/po/da.po, debian/po/de.po,
	  debian/po/es.po, debian/po/fr.po, debian/po/ja.po,
	  debian/po/nl.po, debian/po/pt.po, debian/po/pt_BR.po,
	  debian/po/ru.po, debian/po/sv.po, debian/po/templates.pot,
	  debian/po/vi.po: remove note about escaping of ldapi:// url
	  scheme

2007-09-28 07:05  arthur

	* [r426] nslcd/cfg.c: add warnings and errors to untested and
	  unsupported configfile options

2007-09-25 20:57  arthur

	* [r425] man/nss-ldapd.conf.5.xml: manual page improvements

2007-09-24 19:29  arthur

	* [r424] configure.ac: switch to defining __thread as empty string
	  and issue warning if __thread keyword is not supported

2007-09-24 19:22  arthur

	* [r423] common/tio.c: also initialize sa_sigaction although it's
	  not used

2007-09-24 18:58  arthur

	* [r422] debian/libnss-ldapd.postinst: do something special for
	  setting the uri parameter because it may be speicified multiple
	  times

2007-09-24 13:39  arthur

	* [r421] debian/libnss-ldapd.config: fix newline mangling

2007-09-23 20:39  arthur

	* [r420] debian/libnss-ldapd.config: properly handle multiple uri
	  lines in config file

2007-09-23 20:18  arthur

	* [r419] debian/libnss-ldapd.postinst: trim preceding spaces when
	  adding an entry in /etc/nsswitch.conf

2007-09-23 11:06  arthur

	* [r418] Makefile.am, common/tio.c, nslcd/ldap-nss.h,
	  nslcd/nslcd.c, nss/common.c: some small improvements to the code
	  based on some source code checks

2007-09-23 11:01  arthur

	* [r417] Makefile.am: remove pscan target as these checks are
	  sufficiently covered by the other tests

2007-09-22 21:40  arthur

	* [r416] nslcd/Makefile.am: add compat files to sources so they end
	  up in the tarball

2007-09-22 21:35  arthur

	* [r415] tests/Makefile.am: add all objects that are now needed to
	  test the configuration module

2007-09-22 21:29  arthur

	* [r414] tests/test_cfg.c: remove test for alloc_lsd() because we
	  don't use struct ldap_service_search_descriptor any more

2007-09-21 19:44  arthur

	* [r412] nslcd/ldap-nss.c: remove unneeded variables and slightly
	  improve logging

2007-09-21 19:39  arthur

	* [r411] common/Makefile.am: just use -fPIC on all files in this
	  directory

2007-09-19 20:47  arthur

	* [r410] nslcd/cfg.c, nslcd/cfg.h, nslcd/nslcd.c: put config
	  filename as a parameter to cfg_init()

2007-09-15 17:20  arthur

	* [r409] nslcd/ldap-nss.c: centralize opening of connection to LDAP
	  server in do_open() and refactor do_bind() to be simpler (making
	  do_rebind() just one line)

2007-09-15 14:43  arthur

	* [r408] man/nss-ldapd.conf.5.xml: remove documentation for
	  nss_schema option since it isn't used any more and probably never
	  will be

2007-09-15 14:42  arthur

	* [r407] nslcd/attmap.c, nslcd/attmap.h, nslcd/cfg.c, nslcd/cfg.h,
	  nslcd/common.h, nslcd/group.c, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/passwd.c: remove support for nested
	  groups and use of uniqueMember and member attributes as well as
	  memberOf attribute (this removes quite some functionality but
	  helps us in refactoring because the code was one big exception to
	  all the other modules)

2007-09-15 14:10  arthur

	* [r406] nslcd/group.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h: some
	  more code cleanup, changing return type of _nss_ldap_init(),
	  integrating _nss_ldap_init(), do_init_session(), do_parse_async()
	  and _nss_ldap_search_async() into the functions that call them
	  (each was only called once)

2007-09-15 11:35  arthur

	* [r404] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: do not pass useless errnos
	  around because they aren't used anymore

2007-09-15 08:25  arthur

	* [r403] nslcd/cfg.h: remove unused include

2007-09-14 23:10  arthur

	* [r402] nslcd/ldap-nss.c: some type fixes and logic
	  simplifications

2007-09-14 23:10  arthur

	* [r401] nslcd/group.c: minor code improvements

2007-09-14 22:00  arthur

	* [r400] nslcd/Makefile.am, nslcd/alias.c, nslcd/cfg.c,
	  nslcd/ether.c, nslcd/group.c, nslcd/host.c, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/netgroup.c, nslcd/network.c,
	  nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c,
	  nslcd/shadow.c, nslcd/util.c, nslcd/util.h: move the two
	  remaining useful functions from util.c to ldap-nss.c

2007-09-14 21:51  arthur

	* [r399] nslcd/group.c, nslcd/util.c, nslcd/util.h: move
	  _nss_ldap_dn2uid() from util.c to group.c

2007-09-14 21:51  arthur

	* [r398] nslcd/common.h, nslcd/passwd.c: add note about free()ing
	  the returned value and add logging

2007-09-14 21:01  arthur

	* [r397] nslcd/common.h, nslcd/group.c, nslcd/passwd.c: move
	  user2dn() from group.c to passwd_username2dn() in passwd.c

2007-09-14 20:54  arthur

	* [r396] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: do not flush streams: our caller
	  closes the streams flusing them

2007-09-14 20:50  arthur

	* [r395] nslcd/alias.c, nslcd/ether.c, nslcd/group.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: make use of write_*ent()
	  functions consistent

2007-09-14 19:44  arthur

	* [r394] nslcd/alias.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/util.c, nslcd/util.h: revert special casing for
	  alias_byname() to other functions and some logging strings
	  simplifications

2007-09-14 19:35  arthur

	* [r393] nslcd/group.c: remove some more references to the old
	  locked functions

2007-09-14 18:48  arthur

	* [r392] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/network.c,
	  nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c,
	  nslcd/shadow.c, nslcd/util.c: remove mutex from all LDAP
	  operations because we now have a session and a connection per
	  thread

2007-09-14 16:30  arthur

	* [r391] nslcd/alias.c, nslcd/common.h, nslcd/ether.c,
	  nslcd/group.c, nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/nslcd.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c,
	  nslcd/util.c, nslcd/util.h: get rid of global session and instead
	  pass the session as a parameter with every request and allocate a
	  session per thread

2007-09-12 19:12  arthur

	* [r390] nslcd/ldap-nss.c: some code cleanup and fixes to the
	  layout

2007-09-09 15:06  arthur

	* [r389] nslcd/group.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/util.c: change naming of search functions to clearly
	  indicate whether the synchronous or the asynchronous interface is
	  used

2007-09-09 10:30  arthur

	* [r388] compat/ldap.h, nslcd/cfg.c, nslcd/cfg.h, nslcd/ldap-nss.c:
	  some simplifications in the reconnect loging, removing the
	  undocumented nss_reconnect_maxconntries configfile option and
	  some work to split out LDAP compatibility code to a separate file

2007-09-08 21:37  arthur

	* [r387] nslcd/common.c, nslcd/common.h, nslcd/ldap-nss.c: move
	  nss2nslcd() to ldap-nss.c

2007-09-08 20:47  arthur

	* [r386] nslcd/group.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h: rename
	  a function and a little bit of cleanup

2007-09-08 20:33  arthur

	* [r385] nslcd/ldap-nss.c: fix endless loop bug

2007-09-08 19:15  arthur

	* [r384] nslcd/alias.c, nslcd/attmap.c, nslcd/attmap.h,
	  nslcd/cfg.c, nslcd/cfg.h, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c,
	  nslcd/util.c: move base and scope handling to database specific
	  modules, gettting rid of ldap_service_search_descriptor

2007-09-08 15:19  arthur

	* [r383] nslcd/alias.c, nslcd/attmap.c, nslcd/attmap.h,
	  nslcd/cfg.c, nslcd/cfg.h, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.c: move filters
	  definitions to the database modules themselves (and already
	  define base and scope but don't use them yet)

2007-09-07 20:51  arthur

	* [r382] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: make handling of ent_context
	  consistent and simpler

2007-09-07 19:57  arthur

	* [r381] nslcd/alias.c, nslcd/ether.c, nslcd/host.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.h: properly
	  initialize all contexts

2007-09-07 19:56  arthur

	* [r380] nslcd/ldap-nss.h: remove struct ldap_args stuff

2007-09-07 19:41  arthur

	* [r379] nslcd/group.c: remove last usage of struct ldap_args and
	  add FIXME

2007-09-07 19:36  arthur

	* [r378] nslcd/Makefile.am, nslcd/alias.c, nslcd/cfg.c,
	  nslcd/ether.c, nslcd/group.c, nslcd/host.c, nslcd/ldap-nss.c,
	  nslcd/ldap-schema.c, nslcd/ldap-schema.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.c: remove the
	  ldap-schema.[ch] files since this is now fully implemented in the
	  database specific files

2007-09-07 11:10  arthur

	* [r377] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/ldap-schema.c,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c:
	  also pass search filter for the *_all() functions from the
	  database module instead of doing it in ldap-nss.c

2007-09-07 09:28  arthur

	* [r376] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c:
	  rename attlst stuff to attrs since that is the name of the
	  parameter that is passed

2007-09-07 08:41  arthur

	* [r375] nslcd/alias.c, nslcd/common.c, nslcd/common.h,
	  nslcd/ether.c, nslcd/group.c, nslcd/host.c, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/ldap-schema.c, nslcd/ldap-schema.h,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c,
	  nslcd/util.h: move some of the filter code to the database
	  specific modules to be able to reduce complexity of ldap-nss.c
	  later on

2007-09-05 20:53  arthur

	* [r374] man/Makefile.am: clean generated manual pages in
	  maintainer-clean target

2007-09-03 21:47  arthur

	* [r373] nslcd/alias.c, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c:
	  include service name in attlst storage and functions

2007-09-03 20:53  arthur

	* [r372] nslcd/ldap-nss.c: remove sigpipe handling code since
	  sigpipe is ignored throughout the program

2007-08-27 19:38  arthur

	* [r371] man/Makefile.am: always ship docbook sources and generated
	  manual pages and always install manual pages (even without
	  docbook2x-man)

2007-08-27 19:37  arthur

	* [r370] INSTALL, autogen.sh, depcomp, install-sh, missing,
	  mkinstalldirs: upgrade to using automake 1.10

2007-08-27 19:35  arthur

	* [r369] configure.ac: use AM_PROG_CC_C_O to have per-target
	  compiler flags

2007-08-26 20:19  arthur

	* [r366] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  man/nslcd.8.xml, man/nss-ldapd.conf.5.xml: get files ready for
	  0.3 release

2007-08-26 14:51  arthur

	* [r365] Makefile.am: workaround for problems splint has in parsing
	  system header files

2007-08-26 14:05  arthur

	* [r364] nslcd/cfg.h, nslcd/ldap-nss.h: move enum ldap_map_selector
	  and struct ldap_service_search_descriptor from ldap-nss.h to
	  cfg.h

2007-08-25 13:21  arthur

	* [r363] debian/libnss-ldapd.postinst: fix handling of configfile
	  values with spaces and symbols that could cause problems with sed

2007-08-25 11:52  arthur

	* [r362] debian/libnss-ldapd.postinst: change regular expression
	  boundry to | instead of % because it is less likely to appear
	  with normal use

2007-08-25 11:51  arthur

	* [r361] debian/libnss-ldapd.config: clear password informating in
	  Debconf database if binddn is not used

2007-08-19 15:38  arthur

	* [r360] tests, tests/Makefile.am, tests/test_cfg.c: add some
	  checks for the configuration module

2007-08-19 14:26  arthur

	* [r359] configure.ac, tests/Makefile.am, tests/dict,
	  tests/test_dict.c, tests/test_tio.c, tests/tio: move dict and tio
	  tests into the tests directory

2007-08-19 14:12  arthur

	* [r358] debian/po/pt.po: include updated Portugese translation by
	  Américo Monteiro <a_monteiro@netcabo.pt>

2007-08-19 14:11  arthur

	* [r357] debian/po/templates.pot: change Project-Id-Version project
	  name

2007-08-19 14:09  arthur

	* [r356] debian/po/ca.po, debian/po/cs.po, debian/po/da.po,
	  debian/po/de.po, debian/po/es.po, debian/po/fr.po,
	  debian/po/ja.po, debian/po/nl.po, debian/po/pt.po,
	  debian/po/pt_BR.po, debian/po/ru.po, debian/po/sv.po,
	  debian/po/templates.pot, debian/po/vi.po: update
	  Project-Id-Version and Report-Msgid-Bugs-To headers

2007-08-19 14:08  arthur

	* [r355] debian/copyright, m4/acx_pthread.m4: include newer version
	  of acx_pthread.m4

2007-08-19 13:28  arthur

	* [r354] README: add a note about case-sensitivity of NSS and LDAP
	  databases

2007-08-19 11:19  arthur

	* [r353] debian/libnss-ldapd.config, debian/libnss-ldapd.postinst:
	  fix some bugs in mangling of configfile and be more cautious
	  about replacing values (only replace first occurrence and only
	  match options with the correct number of options)

2007-08-19 11:00  arthur

	* [r352] debian/libnss-ldapd.postinst: remove passwords from
	  configfile if the [root]binddn option was removed and always
	  unset the passwd in the debconf database

2007-08-19 10:54  arthur

	* [r351] config.guess, config.sub: include updated files

2007-08-19 09:22  arthur

	* [r350] debian/libnss-ldapd.postinst: no longer use
	  /etc/libnss-ldap.conf as a basis for creating a new configuration
	  file since the syntax is no longer compatible

2007-08-19 09:16  arthur

	* [r349] debian/libnss-ldapd.postinst: only restart nscd on
	  configure

2007-08-19 09:11  arthur

	* [r348] debian/libnss-ldapd.config, debian/libnss-ldapd.postinst,
	  debian/libnss-ldapd.templates, debian/po/ca.po, debian/po/cs.po,
	  debian/po/da.po, debian/po/de.po, debian/po/es.po,
	  debian/po/fr.po, debian/po/ja.po, debian/po/nl.po,
	  debian/po/pt.po, debian/po/pt_BR.po, debian/po/ru.po,
	  debian/po/sv.po, debian/po/templates.pot, debian/po/vi.po: remove
	  the ldap-version question as it should be unneeded in the most
	  common installations (where it needs to be set the whole config
	  is likely te need tweaking)

2007-08-18 20:56  arthur

	* [r347] debian/libnss-ldapd.templates, debian/po/ca.po,
	  debian/po/cs.po, debian/po/da.po, debian/po/de.po,
	  debian/po/es.po, debian/po/fr.po, debian/po/ja.po,
	  debian/po/nl.po, debian/po/pt.po, debian/po/pt_BR.po,
	  debian/po/ru.po, debian/po/sv.po, debian/po/templates.pot,
	  debian/po/vi.po: rephrase the uri question and add some more
	  pointers on how to specify the value

2007-08-18 20:47  arthur

	* [r346] debian/libnss-ldapd.nslcd.init: change remaining reference
	  to $PIDFILE into $NSLCD_PIDFILE

2007-08-18 20:11  arthur

	* [r345] nslcd/ldap-nss.c: fix a couple of uses of per-map bases
	  that could be NULL and remove the ldap_proxy_bind_args that
	  wasn't used anywhere

2007-08-18 19:37  arthur

	* [r344] man/nslcd.8.xml: replace remaining \- with -

2007-08-18 19:35  arthur

	* [r343] configure.ac, man/nss-ldapd.conf.5.xml, nslcd/attmap.c,
	  nslcd/attmap.h, nslcd/cfg.c, nslcd/cfg.h, nslcd/ldap-nss.c,
	  nslcd/ldap-schema.h, nslcd/nslcd.c, nss-ldapd.conf: rewrite
	  configuration file handling to be simpler and more consistent,
	  this does mean that the syntax of the configfile has changed from
	  the PADL one and that some options were removed (also update
	  manual page and sample config file to reflect changes)

2007-08-03 08:13  arthur

	* [r342] nslcd/cfg.c, nslcd/cfg.h, nslcd/group.c: remove
	  nss_initgroups and nss_initgroups_ignoreusers configfile options

2007-08-03 07:21  arthur

	* [r341] HACKING, README: documentation improvements

2007-08-03 07:20  arthur

	* [r340] README, configure.ac, man/nss-ldapd.conf.5.xml,
	  nslcd/cfg.c, nslcd/cfg.h, nslcd/ldap-nss.c, nslcd/ldap-nss.h:
	  remove --enable-paged-results configure option and now always do
	  runtime configuration, remove nss_paged_results configfile option
	  and use pagesize option to specify usage of paging or not

2007-08-02 21:59  arthur

	* [r339] README: some spelling fixes, added a section on
	  unsupported features and rephrased default LDAP schema
	  objectclasses as filters

2007-07-31 13:54  arthur

	* [r338] Makefile.am, configure.ac, debian/control, man,
	  man/Makefile.am, man/nslcd.8.xml, man/nss-ldapd.conf.5.xml,
	  nslcd.8, nss-ldapd.conf.5: switch to using docbook for manual
	  pages, use docbook2x-man for generating the manual pages and
	  update the nss-ldapd.conf manual page slightly

2007-07-28 16:20  arthur

	* [r337] nslcd/alias.c, nslcd/cfg.h, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/ldap-schema.c, nslcd/ldap-schema.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: define the list of attributes to
	  look up in searches in the service modules instead of in
	  ldap-schema

2007-07-28 14:57  arthur

	* [r336] nslcd/attmap.h: fix typo in comment

2007-07-27 09:54  arthur

	* [r334] nslcd.h: fix typo

2007-07-26 20:11  arthur

	* [r332] nslcd/cfg.c, nslcd/ldap-schema.h: remove some more old
	  mapping stuff and change configuration file keyword to map with
	  the new syntax

2007-07-26 19:34  arthur

	* [r331] nslcd/alias.c, nslcd/attmap.c, nslcd/attmap.h,
	  nslcd/cfg.c, nslcd/cfg.h, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: switch to the new attribute
	  mapping code

2007-07-26 16:00  arthur

	* [r330] nslcd/cfg.c, nslcd/cfg.h, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/ldap-schema.c: get rid of default and
	  override attribute value mappings and remove host and port
	  configuration options

2007-07-26 11:58  arthur

	* [r329] nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/shadow.c: move
	  some shadow specific functions to shadow.c

2007-07-26 11:57  arthur

	* [r328] nslcd/cfg.c, nslcd/cfg.h: make function
	  _nss_ldap_add_uri() static

2007-07-24 15:36  arthur

	* [r327] nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/ldap-schema.c:
	  remove some more unused code

2007-07-24 13:38  arthur

	* [r326] nslcd/Makefile.am, nslcd/alias.c, nslcd/attmap.c,
	  nslcd/attmap.h, nslcd/cfg.c, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/ldap-schema.c, nslcd/ldap-schema.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.c: switch to a new
	  interface for doing attribute mapping, splitting the attribute
	  mapping stuff into a separate file

2007-07-24 10:13  arthur

	* [r325] nslcd/cfg.c, nslcd/ldap-schema.c, nslcd/ldap-schema.h: get
	  rid of some unused attribute mappings and a small reorganisation
	  of code

2007-07-24 06:52  arthur

	* [r324] debian/libnss-ldapd.templates, debian/po/ca.po,
	  debian/po/cs.po, debian/po/da.po, debian/po/de.po,
	  debian/po/es.po, debian/po/fr.po, debian/po/ja.po,
	  debian/po/nl.po, debian/po/pt.po, debian/po/pt_BR.po,
	  debian/po/ru.po, debian/po/sv.po, debian/po/templates.pot,
	  debian/po/vi.po: rephrase nsswitch.conf question and removed
	  reference to example file we don't ship

2007-07-24 06:40  arthur

	* [r323] debian/copyright, nslcd/Makefile.am, nslcd/cfg.c,
	  nslcd/cfg.h, nslcd/dnsconfig.c, nslcd/dnsconfig.h,
	  nslcd/resolve.c, nslcd/resolve.h, nss-ldapd.conf.5: get rid of
	  dnsconfig stuff since that probably didn't work anyway and it
	  cleans up some stuff

2007-07-23 20:24  arthur

	* [r315] common/dict.c, tests/dict/test_dict.c: fix a serious bug
	  in dict_values_next() that would return map pointers instead of
	  values and write a test for it

2007-07-23 15:23  arthur

	* [r314] debian/rules: use stricter distclean run in clean target
	  as suggested by lintian

2007-07-23 14:42  arthur

	* [r313] common/dict.c, common/dict.h, tests/dict/test_dict.c: add
	  support for removing entries from a DICT by setting the value to
	  NULL (this does not free any memory)

2007-07-21 14:04  arthur

	* [r310] AUTHORS: include translater of debconf templates to French

2007-07-18 07:12  arthur

	* [r309] debian/po/fr.po: typo fix by Cyril Brulebois
	  <cyril.brulebois@enst-bretagne.fr>

2007-07-16 19:29  arthur

	* [r308] debian/po/fr.po: update French (fr) translation of debconf
	  templates by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>

2007-07-15 21:40  arthur

	* [r307] tests/tio/test_tio.c: disable test that will always fail

2007-07-15 21:37  arthur

	* [r306] common/tio.c: fix typo

2007-07-15 21:35  arthur

	* [r305] common/tio.c: fix bug with buffer magic in writing code

2007-07-14 09:33  arthur

	* [r304] AUTHORS, debian/copyright, debian/po/pt.po: add Portuguese
	  (pt) translation of debconf templates by Américo Monteiro
	  <a_monteiro@netcabo.pt>

2007-07-13 09:45  arthur

	* [r303] tests/dict/Makefile.am, tests/tio/Makefile.am: do the
	  simple unit tests at make check time

2007-07-13 09:31  arthur

	* [r302] Makefile.am: don't include config diretory which we don't
	  use

2007-07-13 08:44  arthur

	* [r301] common/tio.c: add const and add FIXME about a to-be-fixed
	  race condition

2007-07-13 08:42  arthur

	* [r300] nss/networks.c: flag the address family parameter as
	  unused

2007-07-13 08:26  arthur

	* [r299] README: add notes about format of host and ethers entries
	  in LDAP database

2007-07-13 08:17  arthur

	* [r298] debian/control: add XS-Vcs-Svn and XS-Vcs-Browser as
	  specified in #391023

2007-06-18 08:46  arthur

	* [r297] nslcd/nslcd.c: add comment explaining the use of chmod()
	  over fchmod()

2007-06-17 16:48  arthur

	* [r294] ChangeLog, NEWS, configure.ac, debian/changelog,
	  nss-ldapd.conf.5: get files ready for 0.2.1 release

2007-06-17 14:05  arthur

	* [r293] Makefile.am: do proper wildcard expansion

2007-06-17 14:05  arthur

	* [r292] Makefile.am, nss/Makefile.am: add proper support for make
	  uninstall

2007-06-17 13:31  arthur

	* [r291] autogen.sh: force regeneration of all files

2007-06-17 13:27  arthur

	* [r290] Makefile.am, autogen.sh, configure.ac: include stuff from
	  the m4 directory automatically

2007-06-17 13:20  arthur

	* [r289] common/Makefile.am, nslcd/Makefile.am, nss/Makefile.am,
	  tests/Makefile.am, tests/dict/Makefile.am, tests/tio/Makefile.am:
	  support building outside the source directory

2007-06-17 12:43  arthur

	* [r288] Makefile.am, configure.ac, debian/copyright, m4,
	  m4/acx_pthread.m4, nslcd/Makefile.am: use the ACX_PTHREAD macro
	  to check for platform independant pthread support and required
	  options

2007-06-17 12:35  arthur

	* [r287] debian/copyright: further clarification of use of
	  autoconf/automake code

2007-06-16 23:10  arthur

	* [r286] nslcd/nslcd.c: change fchmod() into chmod() since fchmod()
	  has undifined behaviour on named sockets (fails silently)

2007-06-12 09:09  arthur

	* [r285] common/dict.c, nslcd/ldap-nss.c, nslcd/ldap-schema.c,
	  nslcd/util.c: fix casts of types where needed

2007-06-12 09:06  arthur

	* [r284] nslcd/host.c: fix type of host address and handle errors
	  in writing hostent

2007-06-11 18:44  arthur

	* [r280] ChangeLog, NEWS, TODO, configure.ac, debian/changelog,
	  nss-ldapd.conf.5: get files ready for 0.2 release

2007-06-11 18:40  arthur

	* [r279] common/Makefile.am, common/dict.c, common/dict.h,
	  nslcd/Makefile.am, nslcd/cfg.h, nslcd/dict.c, nslcd/dict.h,
	  tests/dict/Makefile.am, tests/dict/test_dict.c: move dict into
	  the common directory

2007-06-11 18:34  arthur

	* [r278] nss-ldapd.conf.5: add a note about the status of this
	  manual page

2007-06-10 16:58  arthur

	* [r277] common/Makefile.am: compile tio module with -fPIC because
	  it is used in the NSS shared library

2007-06-10 16:50  arthur

	* [r276] debian/libnss-ldapd.postinst: add note about modifying
	  /etc/nsswitch.conf in postinst

2007-06-09 17:35  arthur

	* [r275] Makefile.am: have better rules to generate ChangeLog

2007-06-09 16:54  arthur

	* [r274] common/tio.h: remove some trailing spaces

2007-06-09 16:50  arthur

	* [r273] nss-ldapd.conf.5: add proper copyright header

2007-06-08 22:57  arthur

	* [r272] Makefile.am, common, common/Makefile.am, common/tio.c,
	  common/tio.h, configure.ac, nslcd-common.h, nslcd/Makefile.am,
	  nslcd/alias.c, nslcd/common.h, nslcd/ether.c, nslcd/group.c,
	  nslcd/host.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/netgroup.c, nslcd/network.c, nslcd/nslcd.c, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/rpc.c, nslcd/service.c, nslcd/shadow.c,
	  nslcd/util.c, nslcd/util.h, nss/Makefile.am, nss/aliases.c,
	  nss/common.c, nss/common.h, nss/ethers.c, nss/group.c,
	  nss/hosts.c, nss/netgroup.c, nss/networks.c, nss/passwd.c,
	  nss/protocols.c, nss/rpc.c, nss/services.c, nss/shadow.c,
	  tests/Makefile.am, tests/tio, tests/tio/Makefile.am,
	  tests/tio/test_tio.c: implement our own stdio-like library that
	  handles IO with a simple configurable timeout mechanism with
	  buffering

2007-06-05 21:48  arthur

	* [r271] NEWS, README, configure.ac, tests/dict/test_dict.c: some
	  remaining tabs to spaces and trim trailing spaces

2007-06-02 15:28  arthur

	* [r270] configure.ac, debian/copyright: fix some remaining
	  references to the GNU Library General Public License

2007-06-01 21:40  arthur

	* [r269] nslcd/nslcd.c: add some comments describing some problems
	  that this code may have

2007-05-20 16:25  arthur

	* [r268] HACKING: add a section on build dependencies

2007-05-13 19:52  arthur

	* [r267] config.guess, config.sub: include updated files

2007-03-05 22:42  arthur

	* [r266] ., Makefile.am: include some targets to tun flawfinder,
	  pscan, rats and splint

2007-03-04 20:03  arthur

	* [r265] nslcd-common.h, nslcd/alias.c, nslcd/ether.c,
	  nslcd/group.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/ldap-schema.c, nslcd/ldap-schema.h, nslcd/log.c,
	  nslcd/nslcd.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/shadow.c, nslcd/util.c, nslcd/util.h, nss/common.c,
	  nss/common.h, nss/group.c, nss/hosts.c, nss/netgroup.c,
	  nss/networks.c, nss/prototypes.h, nss/services.c: code
	  improvements by making type casts explicit, flagging ignored
	  return values, renames and flagging of parameters and some
	  miscelanious improvements (thanks to gcc warnings, splint, rats
	  and flawfinder)

2007-03-02 21:17  arthur

	* [r264] nslcd/ldap-nss.c: remove runtime checking for existance of
	  /lib/init/rw/libnss-ldap.bind_policy_soft

2007-03-02 20:40  arthur

	* [r263] nss-ldapd.conf: add missing attribute mapping for AD

2007-03-02 20:37  arthur

	* [r262] nslcd/nslcd.c: do chmod on file descriptor instead of on
	  file name

2007-02-17 12:08  arthur

	* [r251] nslcd-common.h, nslcd/cfg.c, nss/hosts.c: fix a few bugs
	  found thanks to the new warnings

2007-02-17 12:07  arthur

	* [r250] compat, compat/attrs.h, nslcd/cfg.h, nslcd/common.h,
	  nslcd/dict.h, nslcd/log.h, nslcd/nslcd.c, nss/Makefile.am,
	  nss/common.h, nss/ethers.c, nss/group.c, nss/hosts.c,
	  nss/netgroup.c, nss/networks.c, nss/passwd.c, nss/protocols.c,
	  nss/rpc.c, nss/services.c, nss/shadow.c, tests/dict/test_dict.c,
	  tests/test_aliases.c: add gcc attributes to some functions and
	  parameters

2007-02-17 12:00  arthur

	* [r249] configure.ac: add some extra type checks and worarounds

2007-02-17 12:00  arthur

	* [r248] configure.ac: add extra compiler warnings

2007-02-10 08:13  arthur

	* [r240] nslcd/dnsconfig.c, nslcd/ldap-nss.c, nslcd/ldap-nss.h,
	  nslcd/ldap-schema.c, nslcd/util.c: replace syslog calls to calls
	  with our own logging module

2007-02-06 22:27  arthur

	* [r237] README: fix a typo and update copyright info

2007-02-04 22:42  arthur

	* [r236] configure.ac, tests/Makefile.am, tests/dict,
	  tests/dict/Makefile.am, tests/dict/test_dict.c: add simple test
	  for dict module

2007-02-04 22:31  arthur

	* [r235] nslcd/dict.c: fix list corruption bug in dict_put() and
	  ignore setting value to NULL

2007-02-04 22:30  arthur

	* [r234] nslcd/dict.c, nslcd/dict.h: don't store const void * as
	  value, just void *

2007-02-01 22:12  arthur

	* [r233] nslcd/util.c, nslcd/util.h: declare old dict functions
	  static as thay are only used from within util.c

2007-02-01 22:03  arthur

	* [r232] nslcd/dict.h, nslcd/ldap-nss.h: trim trailing whitespace

2007-02-01 21:51  arthur

	* [r231] nslcd/Makefile.am, nslcd/cfg.c, nslcd/cfg.h, nslcd/dict.c,
	  nslcd/dict.h, nslcd/ldap-nss.c, nslcd/util.c, nslcd/util.h: add
	  new dictionary module and use it for the attribute mapping stuff

2007-02-01 21:13  arthur

	* [r230] nslcd/Makefile.am, nslcd/log.c, nslcd/xmalloc.c,
	  nslcd/xmalloc.h: get rid of xmalloc.[ch]

2007-01-17 22:40  arthur

	* [r229] nss/Makefile.am: no longer install libc-versioned symlink
	  and hardcode nss soname because we will likely need to change our
	  code if the ABI changes

2007-01-17 22:23  arthur

	* [r228] debian/rules: in Debian package install NSS files in
	  /usr/lib instead of /lib

2007-01-17 22:16  arthur

	* [r227] nss/aliases.c, nss/common.h, nss/ethers.c, nss/group.c,
	  nss/hosts.c, nss/netgroup.c, nss/networks.c, nss/passwd.c,
	  nss/protocols.c, nss/rpc.c, nss/services.c, nss/shadow.c: ensure
	  that all NSS functions can be generated by the marcos in common.h
	  and spell out the read_..() function for every type

2007-01-17 21:54  arthur

	* [r226] debian/copyright: indent license blubs and include license
	  information for nslcd/resolve.[ch]

2007-01-17 21:53  arthur

	* [r225] nslcd.h: add a little bit more documentation

2007-01-17 16:10  arthur

	* [r224] nslcd/cfg.c: remove a const where it really wasn't

2007-01-17 16:03  arthur

	* [r223] nslcd/cfg.c, nslcd/cfg.h, nslcd/group.c, nslcd/ldap-nss.c,
	  nslcd/util.c, nslcd/util.h: move most config code into cfg.c,
	  clean up dictornary stuff in util.c and do some more smaller
	  restructuring

2007-01-17 15:35  arthur

	* [r222] nslcd/group.c, nslcd/ldap-nss.h, nslcd/util.c,
	  nslcd/util.h: move name_list stuff to group.c as that is the only
	  place it's used at the moment

2007-01-17 15:29  arthur

	* [r221] nslcd/netgroup.c: replace __netgrent with mynetgrent
	  removing the fields that are not used

2007-01-17 13:16  arthur

	* [r220] nslcd/Makefile.am, nslcd/cfg.c, nslcd/cfg.h,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/ldap-schema.h,
	  nslcd/util.c, nslcd/util.h: first step to split out all
	  configuration stuff into separate file

2007-01-17 12:51  arthur

	* [r219] nslcd/ldap-nss.c, nslcd/ldap-nss.h: get rid of more code
	  that would check if the socket was changed from under us by our
	  caller

2007-01-17 12:14  arthur

	* [r218] nslcd/ldap-nss.c: get rid of rebinding-on-fork() logic as
	  our threading model is very predictable

2007-01-10 22:50  arthur

	* [r217] nslcd/netgroup.c: write a final result code of
	  NSLCD_RESULT_NOTFOUND for netgroup lookups

2007-01-10 22:48  arthur

	* [r216] nss/netgroup.c, nss/prototypes.h: fix netgroup lookups so
	  that _nss_ldap_getnetgrent_r() returns NSS_STATUS_RETURN if there
	  are no more entries to return but there was a first entry

2007-01-09 21:21  arthur

	* [r215] COPYING, Makefile.am, README, configure.ac,
	  debian/copyright, debian/libnss-ldapd.nslcd.init, nslcd-common.h,
	  nslcd.8, nslcd.h, nslcd/Makefile.am, nslcd/alias.c,
	  nslcd/common.c, nslcd/common.h, nslcd/dnsconfig.c,
	  nslcd/dnsconfig.h, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/ldap-schema.c,
	  nslcd/ldap-schema.h, nslcd/log.c, nslcd/log.h, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/nslcd.c, nslcd/pagectrl.c,
	  nslcd/pagectrl.h, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.c, nslcd/util.h,
	  nslcd/xmalloc.c, nslcd/xmalloc.h, nss/Makefile.am, nss/aliases.c,
	  nss/common.c, nss/common.h, nss/ethers.c, nss/group.c,
	  nss/hosts.c, nss/netgroup.c, nss/networks.c, nss/passwd.c,
	  nss/protocols.c, nss/prototypes.h, nss/rpc.c, nss/services.c,
	  nss/shadow.c, tests/Makefile.am, tests/test_aliases.c,
	  tests/test_ethers.c, tests/test_group.c, tests/test_hosts.c,
	  tests/test_netgroup.c, tests/test_networks.c,
	  tests/test_passwd.c, tests/test_protocols.c, tests/test_rpc.c,
	  tests/test_services.c, tests/test_shadow.c: change license from
	  GNU Library General Public License v.2 to GNU Lesser General
	  Public License v.2.1 with permission from Luke Howard

2007-01-08 22:26  arthur

	* [r214] nss/netgroup.c, nss/prototypes.h: use our own thread-local
	  file pointer for doing requests instead of misusing the data
	  field in the __netgrent struct

2007-01-08 16:04  arthur

	* [r213] debian/control: add a provide line for libnss-ldap so we
	  can seamlessly replace it (it should provide the same
	  functionality)

2007-01-08 15:42  arthur

	* [r212] debian/libnss-ldapd.postinst: only modify nsswitch
	  databases we support, leave everything else alone (e.g.
	  automount)

2007-01-02 08:06  arthur

	* [r211] debian/libnss-ldapd.nslcd.init: change description in init
	  script

2006-12-31 10:05  arthur

	* [r210] nslcd-common.h: if the string to write is NULL, write an
	  empty string

2006-12-31 10:03  arthur

	* [r209] nslcd-common.h: ensure that all arrays that are allocated
	  in the buffer are now aligned to the pointer size

2006-12-31 10:02  arthur

	* [r208] nslcd-common.h, nss/hosts.c: extract some more common
	  macros

2006-12-30 10:50  arthur

	* [r207] nslcd/ldap-nss.c, tests/test_group.c: get rid of a few
	  warnings

2006-12-29 10:46  arthur

	* [r206] config.sub: update to newer version again (got lost in
	  r205)

2006-12-29 10:04  arthur

	* [r205] config.sub, nslcd/group.c, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/util.c: get rid of debug() function and
	  call log_log() instead

2006-12-27 09:48  arthur

	* [r204] nslcd-common.h, nslcd/alias.c, nslcd/common.h,
	  nslcd/ether.c, nslcd/group.c, nslcd/host.c, nslcd/netgroup.c,
	  nslcd/network.c, nslcd/passwd.c, nslcd/protocol.c, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c: do not allocate new memory with
	  malloc() for each request with a string parameter but use a
	  buffer allocated on the stack instead (this simplifies free()-ing
	  the buffer(s) in case of problems)

2006-12-25 20:30  arthur

	* [r203] nslcd/dnsconfig.c, nslcd/group.c, nslcd/ldap-nss.c,
	  nslcd/ldap-nss.h, nslcd/passwd.c, nslcd/util.c, nslcd/util.h: get
	  rid of NSS_BUFSIZ, rename _nss_ldap_oc_check() to
	  has_objectclass(), redo _nss_ldap_escape_string() with simpler
	  logic and slightly different signature and redid layout of some
	  code

2006-12-23 11:50  arthur

	* [r201] ChangeLog, NEWS, TODO, configure.ac, debian/changelog: get
	  files ready for 0.1 release

2006-12-22 23:23  arthur

	* [r200] nslcd.8: fix name of configuration file and update date
	  and version number

2006-12-22 23:20  arthur

	* [r199] NEWS, TODO, nslcd/alias.c, nslcd/dnsconfig.c,
	  nslcd/dnsconfig.h, nslcd/ether.c, nslcd/group.c, nslcd/host.c,
	  nslcd/ldap-nss.c, nslcd/ldap-nss.h, nslcd/ldap-schema.c,
	  nslcd/ldap-schema.h, nslcd/netgroup.c, nslcd/network.c,
	  nslcd/pagectrl.c, nslcd/pagectrl.h, nslcd/passwd.c,
	  nslcd/protocol.c, nslcd/resolve.c, nslcd/resolve.h, nslcd/rpc.c,
	  nslcd/service.c, nslcd/shadow.c, nslcd/util.c, nslcd/util.h,
	  nss-ldapd.conf, nss-ldapd.conf.5, nss/exports.linux: remove last
	  keyword and disable keyword expansion

2006-12-22 10:56  arthur

	* [r198] nslcd/Makefile.am: make list of source files a little
	  clearer

2006-12-22 07:35  arthur

	* [r197] HACKING: change reference to directory name

2006-12-21 19:55  arthur

	* [r196] Makefile.am, configure.ac, debian/copyright, nslcd,
	  server: rename server directory to nslcd

2006-12-21 19:53  arthur

	* [r195] ChangeLog, Makefile.am: add code for generating ChangeLog
	  and add initial ChangeLog

2006-12-21 19:04  arthur

	* [r194] .: change trunk location in repository to match package
	  name

2006-12-21 10:12  arthur

	* [r193] server/alias.c, server/dnsconfig.c, server/dnsconfig.h,
	  server/ether.c, server/group.c, server/host.c, server/ldap-nss.c,
	  server/ldap-nss.h, server/ldap-schema.c, server/ldap-schema.h,
	  server/log.c, server/log.h, server/netgroup.c, server/network.c,
	  server/pagectrl.c, server/pagectrl.h, server/passwd.c,
	  server/protocol.c, server/rpc.c, server/service.c,
	  server/shadow.c, server/util.c, server/util.h, server/xmalloc.c,
	  server/xmalloc.h: normalize copyright headers

2006-12-20 11:51  arthur

	* [r192] debian/copyright: update copyright file with current
	  copyright information

2006-12-20 11:34  arthur

	* [r191] Makefile.am, nss/Makefile.am, server/Makefile.am,
	  tests/Makefile.am: properly capitalize company name

2006-12-20 11:10  arthur

	* [r190] README: fix wrapping

2006-12-20 11:08  arthur

	* [r189] README: integrate remaining parts in documentation

2006-12-20 09:14  arthur

	* [r188] Makefile.am, debian/libnss-ldapd.examples: ship
	  nss-ldapd.conf as an example in the Debian package

2006-12-19 22:31  arthur

	* [r187] ., debian/changelog, debian/control: change Debian source
	  package name to nss-ldapd

2006-12-19 22:28  arthur

	* [r186] Makefile.am: do not try to ship gone README.Debian but do
	  ship new HACKING

2006-12-19 15:04  arthur

	* [r185] nss-ldapd.conf: get rid of pam stuff

2006-12-19 15:03  arthur

	* [r184] HACKING, NEWS, README, TODO: first step at improving
	  documentation

2006-12-19 15:02  arthur

	* [r183] configure.ac, debian/changelog: change version number to
	  0.1

2006-12-19 14:03  arthur

	* [r182] debian/libnss-ldapd.postinst: change some tests with grep
	  to be correct, add some comments and improve import of old
	  configuration file

2006-12-19 13:55  arthur

	* [r181] debian/README.Debian: the README.Debian does not contain
	  any more relevant information

2006-12-19 12:10  arthur

	* [r180] server/nslcd.c: add TODO

2006-12-19 11:53  arthur

	* [r179] Makefile.am, configure.ac, debian/libnss-ldapd.config,
	  debian/libnss-ldapd.nslcd.init, debian/libnss-ldapd.postinst,
	  debian/libnss-ldapd.postrm, debian/rules, ldap.conf,
	  nss-ldapd.conf, nss-ldapd.conf.5, nss_ldap.5: change default
	  configuration file name to /etc/nss-ldapd.conf

2006-12-18 22:34  arthur

	* [r178] Makefile.am, nslcd.8: add initial nslcd manual page

2006-12-18 22:31  arthur

	* [r177] server/nslcd.c: output of --help no longer shows --config
	  option (which isn't there)

2006-12-18 22:30  arthur

	* [r176] configure.ac: change name of package also in configure

2006-12-18 21:54  arthur

	* [r175] debian/libnss-ldapd.config: handle cases where commands in
	  backticks return an error code

2006-12-18 21:32  arthur

	* [r174] nss/hosts.c: only set h_errno to error value on problems
	  and change the returned value in some cases

2006-12-17 22:30  arthur

	* [r173] debian/libnss-ldapd.nslcd.init: report process id in
	  status

2006-12-17 11:19  arthur

	* [r172] configure.ac, debian/changelog,
	  debian/libnss-ldapd.config, debian/libnss-ldapd.nslcd.init,
	  debian/libnss-ldapd.postinst, nss/common.h, server/nslcd.c,
	  tests/test_networks.c: remove trailing spaces

2006-12-17 11:18  arthur

	* [r171] nss/prototypes.h: add note about glibc manual

2006-12-17 11:14  arthur

	* [r170] nss/Makefile.am: fix comment as to installing libraries

2006-12-17 11:13  arthur

	* [r169] debian/control: add a snippet to the package description
	  as to what the main differences to libnss-ldap are

2006-12-17 07:27  arthur

	* [r168] debian/rules: move the nss libraries to /lib instead of
	  /usr/lib

2006-12-17 07:26  arthur

	* [r167] debian/rules: remove some unneeded configure options

2006-12-16 22:17  arthur

	* [r166] Makefile.am, debian/libnss-ldapd.lintian-overrides,
	  debian/rules: fix some lintian warnings regarding shared
	  libraries with an override file and generating shlibs for now

2006-12-16 22:15  arthur

	* [r165] debian/rules: fix configuration file manual page name

2006-12-16 22:13  arthur

	* [r164] debian/libnss-ldapd.templates, debian/po/ca.po,
	  debian/po/cs.po, debian/po/da.po, debian/po/de.po,
	  debian/po/es.po, debian/po/fr.po, debian/po/ja.po,
	  debian/po/nl.po, debian/po/pt_BR.po, debian/po/ru.po,
	  debian/po/sv.po, debian/po/templates.pot, debian/po/vi.po: end
	  every short description line with a colon (and run
	  debconf-updatepo) (thanks lintian)

2006-12-16 22:11  arthur

	* [r163] server/nslcd.c: set correct permissions on socket creation
	  and remove socket and pidfile on exit

2006-12-16 21:52  arthur

	* [r162] nss/exports.linux, nss/group.c, nss/prototypes.h,
	  tests/test_group.c: remove _nss_ldap_initgroups_dyn() from
	  interface for now because it is currently not working

2006-12-16 17:39  arthur

	* [r161] configure.ac: fix configure --help strings to be more
	  consistent and list default values

2006-12-16 16:40  arthur

	* [r160] Makefile.am: fix debian files to ship and split off those
	  files into a separate variable

2006-12-16 16:38  arthur

	* [r159] debian/po/POTFILES.in, debian/po/ca.po, debian/po/cs.po,
	  debian/po/da.po, debian/po/de.po, debian/po/es.po,
	  debian/po/fr.po, debian/po/ja.po, debian/po/nl.po,
	  debian/po/pt_BR.po, debian/po/ru.po, debian/po/sv.po,
	  debian/po/templates.pot, debian/po/vi.po: update po and pot files
	  based on current templates

2006-12-16 16:35  arthur

	* [r158] debian/config, debian/libnss-ldapd.config,
	  debian/libnss-ldapd.postinst, debian/libnss-ldapd.postrm,
	  debian/libnss-ldapd.templates, debian/rules, debian/templates:
	  redid Debian packaging: on installation a search is done for any
	  reasonable configuration information (existing nss_ldap config,
	  hostname info, etc), configuring nsswitch.conf is also done and
	  all files in the debian directory have more logical names

2006-12-16 16:25  arthur

	* [r157] Makefile.am, debian/libnss-ldapd.nslcd.init, debian/rules:
	  ship an init script for starting nslcd

2006-12-14 10:34  arthur

	* [r156] AUTHORS: fix format of AUTHORS file and include new
	  authors

2006-12-14 10:33  arthur

	* [r155] ANNOUNCE, README: include ANNOUNCE document in README

2006-12-14 10:32  arthur

	* [r154] ChangeLog, NEWS: rename ChangeLog to NEWS and change
	  formatting of file to follow common format

2006-12-13 16:07  arthur

	* [r153] NEWS, TODO: NEWS looks more like a TODO

2006-12-08 21:58  arthur

	* [r152] Makefile.am, debian/changelog, debian/control,
	  debian/libnss-ldapd.postinst, debian/rules: clean up Debian
	  packaging a bit

2006-12-08 21:45  arthur

	* [r151] tests/ldaptest.pl, tests/nsswitch.test, tests/testd.c,
	  tests/testgr.c, tests/testnss.c, tests/testpw.c, tests/testpw3.c,
	  tests/testpw4.c, tests/testpw5.c, tests/testpw6.c: get rid of old
	  test code (most of it should be covered by the new test code)

2006-12-08 19:40  arthur

	* [r150] .: ignore generated debuild files

2006-12-08 19:37  arthur

	* [r149] debian/po/ca.po, debian/po/cs.po, debian/po/da.po,
	  debian/po/de.po, debian/po/es.po, debian/po/fr.po,
	  debian/po/ja.po, debian/po/nl.po, debian/po/pt_BR.po,
	  debian/po/ru.po, debian/po/sv.po, debian/po/templates.pot,
	  debian/po/vi.po, debian/templates: do not make default values
	  translatable

2006-12-08 19:31  arthur

	* [r148] nss/common.c: fix indentation

2006-12-08 19:31  arthur

	* [r147] README, debian/LDAP-Permissions.txt, debian/examples,
	  debian/libnss-ldapd.docs: get rid of more documentation in an
	  attempt to include all useful documentation in one place

2006-12-08 19:04  arthur

	* [r146] Makefile.am, README, doc: reasonable configuration
	  information (existing nss_ldap config, parts in top-level README

2006-12-08 18:37  arthur

	* [r145] configure.ac, nslcd.h: specify socket and pidfile location
	  with configure script

2006-12-08 17:17  arthur

	* [r144] debian/po/ca.po, debian/po/cs.po, debian/po/da.po,
	  debian/po/de.po, debian/po/es.po, debian/po/fr.po,
	  debian/po/ja.po, debian/po/nl.po, debian/po/pt_BR.po,
	  debian/po/ru.po, debian/po/sv.po, debian/po/templates.pot,
	  debian/po/vi.po: run debconf-updatepo to get pot and po files in
	  a consistent state

2006-12-08 16:26  arthur

	* [r143] debian/control: get rid of cdbs build dependency

2006-12-07 12:18  arthur

	* [r142] debian, debian/README.Debian, debian/changelog,
	  debian/control, debian/libnss-ldap.dirs, debian/libnss-ldap.init,
	  debian/libnss-ldap.install, debian/libnss-ldap.links,
	  debian/libnss-ldap.postinst, debian/libnss-ldap.postrm,
	  debian/libnss-ldapd.docs, debian/libnss-ldapd.postinst,
	  debian/libnss-ldapd.postrm, debian/rules: initial step to get
	  working Debian packaging

2006-12-05 22:26  arthur

	* [r141] Makefile.am, compile, config.sub, configure.ac,
	  nss/Makefile.am, server/Makefile.am: clean up build scripts to
	  only link nslcd to OpenSSL and to cleanly create a nss_ldap.so
	  file

2006-12-05 22:25  arthur

	* [r140] server/ldap-nss.c, server/ldap-nss.h: get rid of
	  _nss_ldap_get_ld_errno() which wasn't used

2006-12-03 17:18  arthur

	* [r139] server/nslcd.c: fix logging levels and remove some
	  commented out code

2006-12-03 17:17  arthur

	* [r138] server/ldap-nss.c, server/ldap-schema.c, server/passwd.c:
	  get rid of some more unneeded code

2006-12-03 17:16  arthur

	* [r137] tests/Makefile.am: split out common files into own
	  variable and disable (comment out) protocol debugging

2006-12-03 17:15  arthur

	* [r136] nss/exports.linux: regenerate from prototypes.h

2006-11-30 17:52  arthur

	* [r135] server/Makefile.am, server/alias.c, server/common.h,
	  server/ether.c, server/group.c, server/host.c, server/ldap-nss.c,
	  server/netgroup.c, server/network.c, server/nslcd-server.c,
	  server/nslcd-server.h, server/nslcd.c, server/passwd.c,
	  server/protocol.c, server/rpc.c, server/service.c,
	  server/shadow.c, server/util.c: implement a simple threading
	  solution and move code from nslcd-server.c to nslcd.c

2006-11-28 16:21  arthur

	* [r134] nslcd.h, nss/aliases.c, nss/ethers.c, nss/group.c,
	  nss/passwd.c, nss/protocols.c, nss/rpc.c, nss/services.c,
	  nss/shadow.c, server/alias.c, server/ether.c, server/group.c,
	  server/passwd.c, server/protocol.c, server/rpc.c,
	  server/service.c, server/shadow.c: rename LDF_ marcos to NSLCD_
	  macros to have a single namespace

2006-11-28 15:44  arthur

	* [r133] server: ignore generated nslcd binary

2006-11-28 15:44  arthur

	* [r132] configure.ac: look for nslcd.h now since nslcd.c has been
	  moved into the server directory

2006-11-28 10:59  arthur

	* [r131] ., Makefile.am, configure.ac, exports.linux, log.c, log.h,
	  nslcd-common.h, nslcd-server.c, nslcd-server.h, nslcd.c,
	  nss/Makefile.am, nss/exports.linux, server, server/Makefile.am,
	  server/log.c, server/log.h, server/nslcd-server.c,
	  server/nslcd-server.h, server/nslcd.c, server/xmalloc.c,
	  server/xmalloc.h, testnss.c, tests, tests/Makefile.am,
	  tests/test_aliases.c, tests/test_ethers.c, tests/test_group.c,
	  tests/test_hosts.c, tests/test_netgroup.c, tests/test_networks.c,
	  tests/test_passwd.c, tests/test_protocols.c, tests/test_rpc.c,
	  tests/test_services.c, tests/test_shadow.c, tests/testnss.c,
	  xmalloc.c, xmalloc.h: get as many files from the root directory
	  as possible, moving all server related code to the server
	  directory and moving and splitting the test code to the tests
	  directory

2006-11-28 09:59  arthur

	* [r130] nslcd-server.c, nss/networks.c, server/network.c,
	  testnss.c: implement network name lookups on server side plus
	  some fixes on the client side

2006-11-28 09:54  arthur

	* [r129] nslcd-server.c, server/common.c: include config.h as first
	  statement

2006-11-28 09:45  arthur

	* [r128] nslcd-common.h: implement more detailed protocol logging
	  (dumping the actual byte values read and written)

2006-11-27 09:59  arthur

	* [r127] Makefile.am, nslcd-client.c, nslcd-client.h,
	  nss/Makefile.am, nss/aliases.c, nss/common.c, nss/common.h,
	  nss/ethers.c, nss/group.c, nss/hosts.c, nss/netgroup.c,
	  nss/networks.c, nss/passwd.c, nss/protocols.c, nss/rpc.c,
	  nss/services.c, nss/shadow.c: get rid of nslcd-client.{c,h} and
	  move it to nss/common.{c,h}, this ensures that all code that is
	  needed for the nss part is in the nss directory

2006-11-27 09:05  arthur

	* [r126] server/host.c, server/rpc.c: fix typos

2006-11-26 22:36  arthur

	* [r125] server/Makefile.am, server/dnsconfig.c,
	  server/dnsconfig.h, server/ether.c, server/group.c,
	  server/ldap-nss.c, server/ldap-nss.h, server/ldap-parse.h,
	  server/ldap-schema.c, server/ldap-schema.h, server/network.c,
	  server/passwd.c, server/util.c, server/util.h: clean up header
	  files

2006-11-26 12:01  arthur

	* [r124] doc/autofs-4.1.3-lookup-nssldap.patch,
	  doc/lookup_nssldap.c, ldap.conf, nslcd-server.c, nslcd-server.h,
	  nslcd.h, nss/Makefile.am, nss/automount.c, nss/prototypes.h,
	  server/Makefile.am, server/automount.c, server/ldap-nss.h,
	  server/ldap-schema.c, server/ldap-schema.h, server/rpc.c,
	  server/util.c, server/util.h: get rid of automount map
	  information lookups through NSS as this is not used (at least not
	  with glibc), autofs-ldap looks up the information on it's own
	  (but does parse /etc/nsswitch.conf)

2006-11-25 10:56  arthur

	* [r123] nslcd-server.c, nss/services.c, server/service.c,
	  testnss.c: implement server end of service name lookup and fix
	  client end to translate between host and network byte order and
	  to also pass protocol in request

2006-11-25 10:55  arthur

	* [r122] nslcd-common.h: fix bug that always causes a
	  READ_STRING_ALLOC to read to a variable called name

2006-11-25 10:09  arthur

	* [r121] nslcd-server.c, server/rpc.c, testnss.c: implement rpc
	  service on server side

2006-11-25 10:09  arthur

	* [r120] server/host.c: get rid of superfluous test

2006-11-25 10:08  arthur

	* [r119] server/protocol.c: only flush the stream after writing all
	  records

2006-11-25 09:16  arthur

	* [r118] nslcd-server.c, server/protocol.c, testnss.c: implement
	  protocol handling (server side)

2006-11-25 09:16  arthur

	* [r117] nslcd.h, nss/netgroup.c, nss/prototypes.h: trip trailing
	  whitespace

2006-11-25 08:07  arthur

	* [r116] nslcd-common.h: include stdio for definitions of fread(),
	  fwrite() etc

2006-11-24 11:10  arthur

	* [r115] nslcd-server.c, server/host.c, testnss.c: implement server
	  end of host name lookups (without IPv6 support sofar)

2006-11-24 11:03  arthur

	* [r114] nss/hosts.c: fix problem with allocated array for storing
	  addresses, properly set h_errnop and check empty address (only
	  addresses of other address family) in nss functions, not in
	  read_hostent()

2006-11-24 10:58  arthur

	* [r113] nslcd-common.h: make protocol logging a little more
	  readable and do not use fseek() in streams because that is not
	  supported

2006-11-22 13:16  arthur

	* [r112] server/alias.c, server/ether.c, server/group.c,
	  server/passwd.c, server/shadow.c: only flush the stream after
	  writing all records (not every time) and more logging consistency

2006-11-22 12:18  arthur

	* [r111] nslcd-server.c, server/shadow.c, testnss.c: implement
	  server end of shadow lookups

2006-11-22 12:17  arthur

	* [r110] server/alias.c, server/passwd.c: make logging a little bit
	  more consistent

2006-11-22 11:45  arthur

	* [r109] server/netgroup.c: add extra copyright information (the
	  exact same code was seen in glibc)

2006-11-21 16:45  arthur

	* [r108] nslcd-server.c, nslcd.h, nss/netgroup.c,
	  server/netgroup.c, testnss.c: implement netgroup lookups,
	  including test code

2006-11-19 15:49  arthur

	* [r107] nslcd.h: include a note about encoding of strings

2006-11-19 15:38  arthur

	* [r106] nslcd-server.c, server/ether.c: implement nslcd_ether_*()
	  functions

2006-11-19 15:37  arthur

	* [r105] nslcd-server.c, nslcd-server.h: create prototypes for all
	  server methods

2006-11-19 15:36  arthur

	* [r104] nss/ethers.c: write contents of ethernet address not
	  pointer

2006-11-19 08:57  arthur

	* [r103] server/group.c: add missing semicolon

2006-11-19 08:55  arthur

	* [r102] nslcd-common.h: add more verbose protocol logging,
	  including logging of errors

2006-11-19 08:54  arthur

	* [r101] ., debian, doc, nss, server, tests: ignore stale nfs files

2006-11-19 08:51  arthur

	* [r100] nss/common.h: fix bug: the readfn() function was executed
	  twice

2006-11-18 08:12  arthur

	* [r99] server/group.c, server/netgroup.c: some layout changes

2006-11-18 08:09  arthur

	* [r98] nslcd.h: include changes to handle protocol, rpc, service
	  and netgroup nslcd calls

2006-11-17 22:59  arthur

	* [r97] nss/Makefile.am, nss/netgroup.c, nss/prototypes.h:
	  implement netgroup lookups

2006-11-17 22:55  arthur

	* [r96] nss/aliases.c, nss/automount.c, nss/common.h, nss/ethers.c,
	  nss/group.c, nss/hosts.c, nss/networks.c, nss/passwd.c,
	  nss/protocols.c, nss/rpc.c, nss/services.c, nss/shadow.c: do some
	  refactoring in the generated code and add some documentation on
	  generated code in comments in common.h

2006-11-16 13:06  arthur

	* [r95] nss/Makefile.am, nss/services.c: implement reading of
	  services entities

2006-11-16 12:57  arthur

	* [r94] nss/Makefile.am, nss/rpc.c: implement reading of rpc
	  entities

2006-11-16 12:51  arthur

	* [r93] nss/Makefile.am, nss/protocols.c: implement reading of
	  protocol entities

2006-11-16 12:50  arthur

	* [r92] nss/aliases.c, nss/common.h, nss/ethers.c, nss/group.c,
	  nss/hosts.c, nss/networks.c, nss/passwd.c, nss/shadow.c: switch
	  to a simpler and more compact framework to generate methods (one
	  reader function to deserialize a struct from the stream and
	  auto-generated functions)

2006-11-15 15:06  arthur

	* [r91] nslcd.h, nss/Makefile.am, nss/networks.c, nss/prototypes.h:
	  implement network information lookups through NSS

2006-11-15 11:00  arthur

	* [r90] nss/hosts.c: properly filter out empty returned address
	  records and return NOTFOUND for entries without addresses in our
	  address family

2006-11-14 14:41  arthur

	* [r89] xmalloc.h: add xxmalloc() macro to simply allocate a
	  structure of a certain type

2006-11-14 14:40  arthur

	* [r88] nslcd.h, nss/Makefile.am, nss/automount.c,
	  nss/prototypes.h: implement automounter maps lookups

2006-11-14 14:40  arthur

	* [r87] nss/common.h: just close the stream in case of problems
	  instead of calling endent()

2006-11-11 15:38  arthur

	* [r86] server/group.c: include some other functions into lookup
	  functions to increase readability

2006-11-11 15:16  arthur

	* [r85] server/Makefile.am, server/alias.c, server/aliases.c,
	  server/automount.c, server/common.c, server/common.h,
	  server/ether.c, server/ethers.c, server/group.c, server/host.c,
	  server/hosts.c, server/ldap-nss.c, server/ldap-nss.h,
	  server/ldap-parse.h, server/ldap-schema.c, server/ldap-schema.h,
	  server/netgroup.c, server/network.c, server/networks.c,
	  server/passwd.c, server/protocol.c, server/protocols.c,
	  server/rpc.c, server/service.c, server/services.c,
	  server/shadow.c, server/util.c, server/util.h: fix naming and
	  copyright headers

2006-11-11 14:02  arthur

	* [r84] server/aliases.c, server/ldap-nss.c, server/ldap-nss.h,
	  server/util.c, server/util.h: simplify some functions to pass
	  file pointer around instead of struct and buffer (initially only
	  for alias_byname())

2006-11-11 07:17  arthur

	* [r83] server/ldap-nss.h: some reformatting

2006-11-10 15:36  arthur

	* [r82] nslcd.h, nss/Makefile.am, nss/aliases.c, nss/ethers.c,
	  nss/exports.h, nss/group.c, nss/hosts.c, nss/passwd.c,
	  nss/prototypes.h, nss/shadow.c, testnss.c: rename nss/exports.h
	  to nss/prototypes.h

2006-11-10 15:31  arthur

	* [r81] nss/exports.h, nss/group.c, nss/hosts.c, nss/passwd.c,
	  nss/shadow.c: switch to using prototypes that are defined in
	  glibc 2.3.6

2006-11-10 13:56  arthur

	* [r80] nslcd.h, nss/Makefile.am, nss/shadow.c, testnss.c:
	  implement NSS-side shadow lookups (plus test code)

2006-11-10 13:08  arthur

	* [r79] nslcd.h, nss/Makefile.am, nss/ethers.c, nss/exports.h,
	  testnss.c: implement NSS-side ethers database lookups plus test
	  code

2006-11-10 12:44  arthur

	* [r78] nss/exports.h, nss/hosts.c, testnss.c: add test code for
	  host database and add const to function definition

2006-11-10 11:51  arthur

	* [r77] nss/aliases.c, nss/group.c, nss/hosts.c: use better names
	  for our thread-local file pointer

2006-11-07 21:18  arthur

	* [r76] server/aliases.c: expand some marcos and combine some code

2006-11-07 21:06  arthur

	* [r75] server/passwd.c: expand some marcos and combine some code

2006-11-05 23:14  arthur

	* [r74] nslcd-common.h, testnss.c: add proper copyright headers

2006-11-05 23:05  arthur

	* [r73] nslcd-server.c, nslcd-server.h, server/group.c, testnss.c:
	  implement group functions in server but currently
	  group_bymember() does not work

2006-11-05 22:57  arthur

	* [r72] nslcd-common.h: remove testing stuff

2006-11-05 22:57  arthur

	* [r71] nslcd-common.h: fix some variable usage bugs in READ_*
	  marcos and change protocol debugging marcos to not use variadic
	  arguments

2006-11-04 13:05  arthur

	* [r70] Makefile.am, certutil, doc/nsswitch.ldap, nsswitch.ldap:
	  reorganize (and get rid of) some files

2006-11-03 22:03  arthur

	* [r69] nslcd.h, nss/Makefile.am, nss/hosts.c: implement initial
	  host database lookups NSS-side

2006-11-03 22:01  arthur

	* [r68] nslcd-common.h: make SKIP more consistent with READ

2006-11-03 19:07  arthur

	* [r67] nslcd-server.c: clean struct sockaddr_un structure before
	  usage

2006-11-03 13:55  arthur

	* [r66] nslcd-common.h, nss/group.c: fix bogus reuse of tmpint32,
	  introducing tmp3int32

2006-11-03 13:46  arthur

	* [r65] nslcd-common.h: split buffer management macros into
	  separate macros

2006-11-03 12:37  arthur

	* [r64] nslcd-common.h, nslcd.h, nss/aliases.c, nss/group.c,
	  server/aliases.c: rename LOOP to STRINGLIST as that is currently
	  the only supported format

2006-11-03 12:09  arthur

	* [r63] nslcd-common.h, nss/group.c: add _nss_ldap_initgroups_dyn()
	  function

2006-11-03 10:06  arthur

	* [r62] nslcd-common.h, nss/aliases.c, nss/common.h, nss/group.c,
	  nss/passwd.c: make loop macros common, create macros for
	  expanding {set,get,end}ent() functions and implement
	  {set,get,end}aliasent

2006-11-03 10:03  arthur

	* [r61] nslcd.h: small documentation fixes

2006-11-03 10:03  arthur

	* [r60] nslcd-server.h: implement nslcd_alias_all() server-side

2006-11-03 10:02  arthur

	* [r59] nslcd-server.c, server/aliases.c: implement
	  nslcd_alias_all() server-side

2006-11-03 10:02  arthur

	* [r58] server/group.c: get rid of some more unneeded code

2006-11-02 14:17  arthur

	* [r57] server/aliases.c, server/passwd.c: some small fixes

2006-11-02 14:13  arthur

	* [r56] nslcd-client.h, nslcd-server.c, nslcd-server.h, nslcd.h,
	  nss/aliases.c, nss/common.c, nss/passwd.c, server/aliases.c,
	  server/common.c, server/passwd.c: rename some constants and
	  switch to a more sane naming scheme

2006-11-02 13:58  arthur

	* [r55] nss/exports.h: we only need to export
	  _nss_ldap_initgroups_dyn(), not _nss_ldap_initgroups()

2006-11-02 12:08  arthur

	* [r54] nslcd-client.h, nss/aliases.c, nss/group.c, nss/passwd.c:
	  rename READ_RESPONSE() macro to READ_RESPONSE_CODE()

2006-11-01 22:48  arthur

	* [r53] nslcd.h, nss/Makefile.am, nss/group.c, testnss.c: implement
	  NSS side of getgrnam(), getgrgid() and {set,get,end}grent()

2006-11-01 14:05  arthur

	* [r52] nss/aliases.c, nss/common.h, nss/passwd.c: always set
	  *errnop correctly

2006-11-01 13:13  arthur

	* [r51] CVSVersionInfo.txt, Makefile.am: get rid of
	  CVSVersionInfo.txt

2006-11-01 12:58  arthur

	* [r50] nslcd.c: prevent recursive hostname lookups through ldap

2006-11-01 12:32  arthur

	* [r49] Makefile.am: add some files to EXTRA_DIST

2006-11-01 12:19  arthur

	* [r48] nslcd-server.c, nslcd.h, server/common.c, server/group.c,
	  server/passwd.c: get rid of some trailing spaces

2006-11-01 12:19  arthur

	* [r47] nslcd.c: ignore SIGPIPE and get rid of some trailing spaces

2006-11-01 12:18  arthur

	* [r46] testnss.c: only print result on success and errors on
	  failure

2006-11-01 12:17  arthur

	* [r45] server/common.h: do not close the server-side stream as the
	  main dispatcher will close it

2006-11-01 12:13  arthur

	* [r44] nss/passwd.c: implement _nss_ldap_{set,get,end}pwent()
	  functions with thread-local opened file

2006-11-01 12:08  arthur

	* [r43] nss/common.h: also set file pointer to NULL when closing a
	  stream to properly handle reuse of stream

2006-11-01 12:04  arthur

	* [r42] log.c: prefix debugging messages with DEBUG

2006-11-01 12:04  arthur

	* [r41] configure.ac: look for different file in source directory,
	  improve --enable-debug option and add checking for __thread
	  keyword

2006-11-01 12:02  arthur

	* [r40] nslcd-common.h: do not try to read and write zero length
	  strings and add protocol debugging option

2006-11-01 09:23  arthur

	* [r39] Makefile.am, dnsconfig.c, dnsconfig.h, ldap-nss.c,
	  ldap-nss.h, ldap-parse.h, ldap-schema.c, ldap-schema.h, nslcd.c,
	  pagectrl.c, pagectrl.h, resolve.c, resolve.h, server/Makefile.am,
	  server/dnsconfig.c, server/dnsconfig.h, server/ldap-nss.c,
	  server/ldap-nss.h, server/ldap-parse.h, server/ldap-schema.c,
	  server/ldap-schema.h, server/pagectrl.c, server/pagectrl.h,
	  server/resolve.c, server/resolve.h, server/util.c, server/util.h,
	  util.c, util.h: move some remaining files into the server/
	  directory

2006-10-31 14:18  arthur

	* [r38] nslcd-common.h, nslcd-server.c, nslcd-server.h, nslcd.h,
	  nss/aliases.c, server/aliases.c, server/passwd.c, testnss.c:
	  implement reading of alias information through getaliasbyname()

2006-10-31 12:46  arthur

	* [r37] nss/aliases.c, nss/common.c, nss/common.h, nss/exports.h,
	  nss/passwd.c: make code consistent by adding headers, removing
	  trailing whitespace and proper ifdefs for header files

2006-10-31 12:19  arthur

	* [r36] .: ignore more files

2006-10-31 12:18  arthur

	* [r35] nslcd-common.h: add header file defining read and write
	  macros

2006-10-31 12:17  arthur

	* [r34] nslcd-client.c, nslcd-client.h, nslcd-server.c,
	  nslcd-server.h, nslcd.h, nss/Makefile.am, nss/common.c,
	  nss/common.h, nss/passwd.c, server/common.h, server/passwd.c,
	  testnss.c: clear up protocol macros while implementing getpwuid()
	  and {set,get,end}pwent() functions (last not yet on NSS side)

2006-10-31 10:08  arthur

	* [r33] nslcd.h: document protocol a little better

2006-10-30 16:21  arthur

	* [r32] Makefile.am, nslcd-client.c, nslcd-client.h,
	  nslcd-server.c, nslcd-server.h, nslcd.c, nslcd.h, testnss.c: get
	  first working version of end-to-end test of nss call using simple
	  test program

2006-10-30 16:16  arthur

	* [r31] Makefile.am, configure.ac: add server directory

2006-10-30 16:15  arthur

	* [r30] nss/passwd.c: get rid of some empty lines

2006-10-30 15:37  arthur

	* [r29] server, server/Makefile.am, server/common.c,
	  server/common.h, server/passwd.c: implement simple password
	  lookup with nslcd_getpwnam() function

2006-10-30 13:44  arthur

	* [r28] nss/common.h, nss/passwd.c: return read data in struct and
	  fix some marcos

2006-10-30 13:40  arthur

	* [r27] nss/Makefile.am: do not build libnss_ldap.so in this
	  directory, only build nss object functions

2006-10-25 21:48  arthur

	* [r26] configure.ac, nss: build nss directory

2006-10-25 15:22  arthur

	* [r25] ldap-alias.c, ldap-automount.c, ldap-ethers.c, ldap-grp.c,
	  ldap-hosts.c, ldap-netgrp.c, ldap-network.c, ldap-proto.c,
	  ldap-pwd.c, ldap-rpc.c, ldap-service.c, ldap-spwd.c, server,
	  server/aliases.c, server/automount.c, server/ethers.c,
	  server/group.c, server/hosts.c, server/netgroup.c,
	  server/networks.c, server/passwd.c, server/protocols.c,
	  server/rpc.c, server/services.c, server/shadow.c: move ldap
	  server code into separate directory

2006-10-25 15:11  arthur

	* [r24] Makefile.am, nslcd-client.c, nslcd-client.h, nslcd.h, nss,
	  nss/Makefile.am, nss/aliases.c, nss/common.c, nss/common.h,
	  nss/exports.h, nss/passwd.c: add some basic minimal NSS code that
	  can be generated from macros

2006-10-23 12:03  arthur

	* [r23] ., Makefile.am, configure.ac, log.c, log.h, nslcd-client.c,
	  nslcd-client.h, nslcd-server.c, nslcd-server.h, nslcd.c, nslcd.h,
	  xmalloc.c, xmalloc.h: implemented basic client/server setup with
	  a thin client comminicating with a local server over a socket
	  (initial version of code, much needs to be done)

2006-10-23 12:02  arthur

	* [r22] ldap-grp.c, ldap-parse.h: rearrange functions in more
	  logical order

2006-10-23 12:01  arthur

	* [r21] ldap-nss.h: align comments

2006-10-23 11:26  arthur

	* [r20] ldap-pwd.c: export function _nss_ldap_parse_pw()

2006-10-17 14:13  arthur

	* [r19] Makefile.am, dnsconfig.c, dnsconfig.h, ldap-alias.c,
	  ldap-automount.c, ldap-ethers.c, ldap-grp.c, ldap-hosts.c,
	  ldap-netgrp.c, ldap-network.c, ldap-nss.c, ldap-nss.h,
	  ldap-parse.h, ldap-proto.c, ldap-pwd.c, ldap-rpc.c,
	  ldap-schema.c, ldap-schema.h, ldap-service.c, ldap-spwd.c, ltf.c,
	  ltf.h, pagectrl.c, pagectrl.h, resolve.c, resolve.h, util.c: get
	  rid of ltf files (which contain NPL licenced code btw) clean up
	  includes and general small code cleanups

2006-10-17 13:40  arthur

	* [r18] .cvsignore: get rid of this file

2006-10-16 15:02  arthur

	* [r17] Makefile.am, dnsconfig.c, dnsconfig.h, ldap-alias.c,
	  ldap-automount.c, ldap-ethers.c, ldap-grp.c, ldap-hosts.c,
	  ldap-netgrp.c, ldap-network.c, ldap-nss.c, ldap-nss.h,
	  ldap-parse.h, ldap-proto.c, ldap-pwd.c, ldap-rpc.c,
	  ldap-schema.h, ldap-service.c, ldap-spwd.c, ltf.c, nss_common.h,
	  nss_ldap.spec, util.c, util.h: some more cleanups, expanding some
	  MACROs and typedefs and get rid of some more code

2006-10-15 10:48  arthur

	* [r16] configure.ac: add --enable-warnings option for extra
	  compiler warnings

2006-10-12 13:00  arthur

	* [r15] Makefile.am, exports.solaris, ldap-alias.c, ldap-alias.h,
	  ldap-automount.c, ldap-automount.h, ldap-bp.c, ldap-bp.h,
	  ldap-ethers.c, ldap-ethers.h, ldap-grp.c, ldap-grp.h,
	  ldap-hosts.c, ldap-hosts.h, ldap-netgrp.c, ldap-netgrp.h,
	  ldap-network.c, ldap-network.h, ldap-proto.c, ldap-proto.h,
	  ldap-pwd.c, ldap-pwd.h, ldap-rpc.c, ldap-rpc.h, ldap-service.c,
	  ldap-service.h, ldap-spwd.c, ldap-spwd.h: get rid of some
	  unnecessary header files (and a c file)

2006-10-12 12:34  arthur

	* [r14] ANNOUNCE, AUTHORS, COPYING, ChangeLog, Makefile.am, NEWS,
	  README, certutil, configure.ac, dnsconfig.c, dnsconfig.h,
	  ldap-alias.c, ldap-alias.h, ldap-automount.c, ldap-automount.h,
	  ldap-bp.c, ldap-bp.h, ldap-ethers.c, ldap-ethers.h, ldap-grp.c,
	  ldap-grp.h, ldap-hosts.c, ldap-hosts.h, ldap-netgrp.c,
	  ldap-netgrp.h, ldap-network.c, ldap-network.h, ldap-nss.c,
	  ldap-nss.h, ldap-parse.h, ldap-proto.c, ldap-proto.h, ldap-pwd.c,
	  ldap-pwd.h, ldap-rpc.c, ldap-rpc.h, ldap-schema.c, ldap-schema.h,
	  ldap-service.c, ldap-service.h, ldap-spwd.c, ldap-spwd.h,
	  ldap.conf, ltf.c, ltf.h, nss_common.h, nss_ldap.5, nss_ldap.spec,
	  pagectrl.c, pagectrl.h, resolve.c, resolve.h, util.c, util.h:
	  remove trailing spaces

2006-10-12 12:32  arthur

	* [r13] ANNOUNCE, AUTHORS, Makefile.am, NEWS, README, certutil,
	  configure.ac, dnsconfig.c, dnsconfig.h, exports.aix,
	  exports.hpux, exports.linux, exports.solaris, ldap-alias.c,
	  ldap-alias.h, ldap-automount.c, ldap-automount.h, ldap-bp.c,
	  ldap-bp.h, ldap-ethers.c, ldap-ethers.h, ldap-grp.c, ldap-grp.h,
	  ldap-hosts.c, ldap-hosts.h, ldap-netgrp.c, ldap-netgrp.h,
	  ldap-network.c, ldap-network.h, ldap-nss.c, ldap-nss.h,
	  ldap-parse.h, ldap-proto.c, ldap-proto.h, ldap-pwd.c, ldap-rpc.c,
	  ldap-rpc.h, ldap-schema.c, ldap-schema.h, ldap-service.c,
	  ldap-service.h, ldap-spwd.c, ldap-spwd.h, ldap.conf, ltf.c,
	  nsswitch.ldap, pagectrl.c, resolve.c, resolve.h, util.c, util.h:
	  some more small cleanups of code for non-supported systems and
	  convert tabs to spaces

2006-10-12 12:29  arthur

	* [r12] configure.ac: include templates from acconfig.h into
	  configure.ac

2006-10-12 11:38  arthur

	* [r11] debian/rules: set as executable

2006-10-12 11:01  arthur

	* [r10] Makefile.am, aix_authmeth.c, dnsconfig.c, dnsconfig.h,
	  irs-grp.c, irs-hosts.c, irs-netgrp.c, irs-network.c, irs-nss.c,
	  irs-nss.h, irs-proto.c, irs-pwd.c, irs-service.c, irs.h,
	  ldap-alias.c, ldap-alias.h, ldap-automount.c, ldap-automount.h,
	  ldap-bp.c, ldap-bp.h, ldap-ethers.c, ldap-ethers.h, ldap-grp.c,
	  ldap-grp.h, ldap-hosts.c, ldap-hosts.h, ldap-netgrp.c,
	  ldap-netgrp.h, ldap-network.c, ldap-network.h, ldap-nss.c,
	  ldap-nss.h, ldap-parse.h, ldap-proto.c, ldap-proto.h, ldap-pwd.c,
	  ldap-pwd.h, ldap-rpc.c, ldap-rpc.h, ldap-schema.c, ldap-schema.h,
	  ldap-service.c, ldap-service.h, ldap-sldap.c, ldap-sldap.h,
	  ldap-spwd.c, ldap-spwd.h, ltf.c, ltf.h, nss_common.h,
	  nss_dbdefs.h, nss_ldap.5, pagectrl.c, pagectrl.h, resolve.c,
	  resolve.h, snprintf.c, snprintf.h, util.c, util.h: first round of
	  cleanups, all non-glibc NSS stuff has been removed, because we
	  are going to do some major restructuring it will not likely
	  remain valid anyway and we can always re-add it later

2006-10-12 08:00  arthur

	* [r9] CVSVersionInfo.txt, ChangeLog, NEWS, aix_authmeth.c,
	  certutil, dnsconfig.c, dnsconfig.h,
	  doc/autofs-4.1.3-lookup-nssldap.patch, doc/lookup_nssldap.c,
	  exports.linux, exports.solaris, irs-grp.c, irs-hosts.c,
	  irs-netgrp.c, irs-network.c, irs-nss.c, irs-nss.h, irs-proto.c,
	  irs-pwd.c, irs-service.c, irs.h, ldap-alias.c, ldap-alias.h,
	  ldap-automount.c, ldap-automount.h, ldap-bp.c, ldap-bp.h,
	  ldap-ethers.c, ldap-ethers.h, ldap-grp.c, ldap-grp.h,
	  ldap-hosts.c, ldap-hosts.h, ldap-netgrp.c, ldap-netgrp.h,
	  ldap-network.c, ldap-network.h, ldap-nss.c, ldap-nss.h,
	  ldap-parse.h, ldap-proto.c, ldap-proto.h, ldap-pwd.c, ldap-pwd.h,
	  ldap-rpc.c, ldap-rpc.h, ldap-schema.c, ldap-schema.h,
	  ldap-service.c, ldap-service.h, ldap-sldap.c, ldap-sldap.h,
	  ldap-spwd.c, ldap-spwd.h, ldap.conf, ltf.c, ltf.h, nss_common.h,
	  nss_dbdefs.h, nss_ldap.5, nsswitch.ldap, pagectrl.c, pagectrl.h,
	  resolve.c, resolve.h, snprintf.c, snprintf.h,
	  tests/nsswitch.test, tests/testpw.c, tests/testpw4.c,
	  tests/testpw5.c, tests/testpw6.c, util.c, util.h: add keyword
	  expansion (svn:keywords) to all files containing keywords

2006-10-12 07:50  arthur

	* [r8] Makefile.am, configure.ac: add West to copyrights notice

2006-10-11 14:00  arthur

	* [r7] INSTALL: install newer version from automake

2006-10-11 13:58  arthur

	* [r6] Makefile.am, acconfig.h, aclocal.m4, autogen.sh,
	  config.guess, config.h.in, config.sub, configure.ac,
	  configure.in, depcomp, install-sh, missing, mkinstalldirs,
	  stamp-h, stamp-h.in: first step in cleaning up build process
	  (switch to newer autoconf/automake and remove generated files
	  from version control)

2006-10-11 13:52  arthur

	* [r5] ., Makefile.in, configure: remove some files from version
	  control and add more ignores

2006-10-11 13:44  arthur

	* [r4] ., debian: ignore some generated files

2006-10-11 13:37  arthur

	* [r3] .: branch off latest Debian version

2006-10-11 13:37  arthur

	* [r2] ., Makefile.am, Makefile.in, aclocal.m4, configure,
	  configure.in, debian, debian/LDAP-Permissions.txt,
	  debian/README.Debian, debian/changelog, debian/compat,
	  debian/config, debian/control, debian/copyright, debian/examples,
	  debian/examples/groups.ldif, debian/examples/people.ldif,
	  debian/libnss-ldap.dirs, debian/libnss-ldap.init,
	  debian/libnss-ldap.install, debian/libnss-ldap.links,
	  debian/libnss-ldap.postinst, debian/libnss-ldap.postrm,
	  debian/po, debian/po/POTFILES.in, debian/po/ca.po,
	  debian/po/cs.po, debian/po/da.po, debian/po/de.po,
	  debian/po/es.po, debian/po/fr.po, debian/po/ja.po,
	  debian/po/nl.po, debian/po/pt_BR.po, debian/po/ru.po,
	  debian/po/sv.po, debian/po/templates.pot, debian/po/vi.po,
	  debian/rules, debian/templates, ldap-nss.c, ldap-nss.h,
	  ldap-pwd.c, ldap.conf, stamp-h: import Debian release 251-5.2

2006-10-11 13:34  arthur

	* [r1] ., .cvsignore, ANNOUNCE, AUTHORS, COPYING,
	  CVSVersionInfo.txt, ChangeLog, INSTALL, Makefile.am, Makefile.in,
	  NEWS, README, acconfig.h, aclocal.m4, aix_authmeth.c, autogen.sh,
	  certutil, config.guess, config.h.in, config.sub, configure,
	  configure.in, depcomp, dnsconfig.c, dnsconfig.h, doc,
	  doc/README.AIX, doc/README.HPUX, doc/README.IRS, doc/README.SFU,
	  doc/README.paged, doc/SolarisInstallNotes.txt,
	  doc/autofs-4.1.3-lookup-nssldap.patch, doc/lookup_nssldap.c,
	  exports.aix, exports.hpux, exports.linux, exports.solaris,
	  install-sh, irs-grp.c, irs-hosts.c, irs-netgrp.c, irs-network.c,
	  irs-nss.c, irs-nss.h, irs-proto.c, irs-pwd.c, irs-service.c,
	  irs.h, ldap-alias.c, ldap-alias.h, ldap-automount.c,
	  ldap-automount.h, ldap-bp.c, ldap-bp.h, ldap-ethers.c,
	  ldap-ethers.h, ldap-grp.c, ldap-grp.h, ldap-hosts.c,
	  ldap-hosts.h, ldap-netgrp.c, ldap-netgrp.h, ldap-network.c,
	  ldap-network.h, ldap-nss.c, ldap-nss.h, ldap-parse.h,
	  ldap-proto.c, ldap-proto.h, ldap-pwd.c, ldap-pwd.h, ldap-rpc.c,
	  ldap-rpc.h, ldap-schema.c, ldap-schema.h, ldap-service.c,
	  ldap-service.h, ldap-sldap.c, ldap-sldap.h, ldap-spwd.c,
	  ldap-spwd.h, ldap.conf, ltf.c, ltf.h, missing, mkinstalldirs,
	  nss_common.h, nss_dbdefs.h, nss_ldap.5, nss_ldap.spec,
	  nsswitch.ldap, pagectrl.c, pagectrl.h, resolve.c, resolve.h,
	  snprintf.c, snprintf.h, stamp-h.in, tests, tests/ldaptest.pl,
	  tests/nsswitch.test, tests/testd.c, tests/testgr.c,
	  tests/testpw.c, tests/testpw3.c, tests/testpw4.c,
	  tests/testpw5.c, tests/testpw6.c, util.c, util.h: import release
	  251 of nss-ldap

